/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
 dojo.provide("relm.app.PreventCSRF");//$NON-NLS-1$

 dojo.require("dojo.cookie"); //$NON-NLS-1$
 
 (function() {
 	var CSRF_COOKIE = "relm-csrf-prevent"; //$NON-NLS-1$
 	var CSRF_HEADER = "X-Jazz-CSRF-Prevent"; //$NON-NLS-1$
 	var SURROUNDING_QUOTES = /^"(.*)".*/; //$NON-NLS-1$
 	
 	jazz.client.internal.addRequestInterceptor(function(request) {
 		var headers = request.args.headers;
 		var csrfToken = dojo.cookie(CSRF_COOKIE); //$NON-NLS-1$
 		if (csrfToken) {
 			headers[CSRF_HEADER] = csrfToken.replace(SURROUNDING_QUOTES, "$1"); //$NON-NLS-1$ 
 		}
 	});
 })();