/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2011. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	fileName: 'File Name', //$NON-NLS-1$
	creator: 'Importer', //$NON-NLS-1$
	created: 'Imported', //$NON-NLS-1$
	status: 'Status', //$NON-NLS-1$
	percentComplete: 'Percent Complete', //$NON-NLS-1$
	baselinesCreated: 'Baseline Created', //$NON-NLS-1$
	numberCreated: 'Products Created', //$NON-NLS-1$
	numberSkipped: 'Products Skipped', //$NON-NLS-1$
	importHistory: 'Import History', //$NON-NLS-1$
	noHistoryStatus: "No imports in history. <span class=relm-Import-startImportPrompt>Do you want to <a class=relm-Import-importLink target=#>start an import</a>?</span>", //$NON-NLS-1$
	clearHistoryDescription: 'Clear history of product imports', //$NON-NLS-1$
	clearHistoryTitle: 'Clear', //$NON-NLS-1$
	clearHistoryConfirmation: 'Are you sure you want to remove all records of past imports?', //$NON-NLS-1$
	submitButton: 'Import', //$NON-NLS-1$
	importProducts: 'Import Products', //$NON-NLS-1$
	importHelpHTML: '<p>Use product import to create product hierarchies in Rational Engineering Lifecycle Manager using data from other tools.</p><p>Import product trees from data files in the Resource Description Framework (RDF) format by using one of the serialization formats: RDF/XML, Turtle, or JSON. (The last two formats are simple enough to construct using a text editor.)</p><p>The user who imports the data is associated with the new product, rather than the user who originally created the data. Similarly, associated creation, modification, and audit history dates and times are based on when the import created or updated the product. <a href=\'http://www.ibm.com/support/knowledgecenter/SS2L6K_5.0.1/com.ibm.rational.relm.doc/topics/c_product_import.html\'>Learn More...</a></p>', //$NON-NLS-1$
	clearSelection: 'Clear Selected File', //$NON-NLS-1$
	importProgress: 'Import Progress:', //$NON-NLS-1$
	uploadProgress: 'Upload Progress', //$NON-NLS-1$
	showError: 'Show Error', //$NON-NLS-1$
	hideError: 'Hide Error', //$NON-NLS-1$
	importFile: 'Import File...', //$NON-NLS-1$
	showImportedRoots: 'View Baselines...', //$NON-NLS-1$
	selectFile: 'Select File to Upload' //$NON-NLS-1$
});