/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2013. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide('com.ibm.relm.ple.web.advanced.AdvancedSettings'); //$NON-NLS-1$

(function() {

	// Init on load of this file. Synchronous, but should be very fast.
	jazz.client.xhrGet({
		url: net.jazz.ajax._contextRoot + '/ple/advanced_settings', //$NON-NLS-1$
		handleAs: 'json', //$NON-NLS-1$
		sync: true,

		load: function (settings) {
			dojo.mixin(com.ibm.relm.ple.web.advanced.AdvancedSettings, settings);
		},

		error: function(error, ioArgs) {
			console.error('Could not determine advanced settings.', error, ioArgs.xhr.responseText); //$NON-NLS-1$
		}
	});
	
})();