/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("relm.app.core.internal.AuthDialog"); //$NON-NLS-1$

dojo.require("jazz.ui.Dialog"); //$NON-NLS-1$

dojo.require("dojo.i18n"); //$NON-NLS-1$
dojo.requireLocalization("relm.app.core.internal", "AuthDialogMessages"); //$NON-NLS-1$ //$NON-NLS-2$

dojo.declare("relm.app.core.internal.AuthDialog", jazz.ui.Dialog, { //$NON-NLS-1$
	
	constructor: function(args) {
		debugger;
		this.messages = dojo.i18n.getLocalization("relm.app.core.internal", "AuthDialogMessages"); //$NON-NLS-1$ //$NON-NLS-2$
		this.contentNode = document.createElement("div"); //$NON-NLS-1$
		this.contentNode.style.border = "none"; //$NON-NLS-1$
		this.contentNode.style.padding = "30px"; //$NON-NLS-1$
		var contents= new relm.app.core.internal.AuthDialog._Contents({messages: this.messages, popupUrl: args.popupUrl, onclick: dojo.hitch(this, this.onclick)});
		this.contentNode.appendChild(contents.domNode);
		contents.loginLink.appendChild(dojo.doc.createTextNode(" <"+net.jazz.ajax.BootstrapProperties.FRONTSIDE_URL+">")); //$NON-NLS-1$ //$NON-NLS-2$
		this.primaryTitle = this.messages.loginPopupBlockedTitle;
	},
	
	onclick: function(e){
		dojo.stopEvent(e);
		this.setWindow(window.open(this.popupUrl, "oauthPopup", "location=1,status=1,scrollbars=1,width=650,height=500")); //$NON-NLS-1$ //$NON-NLS-2$
	},
	
	setWindow: function(winObj){
		this._winObj = winObj;
	}
});

dojo.declare("relm.app.core.internal.AuthDialog._Contents",[dijit._Widget, dijit._Templated],{ //$NON-NLS-1$

	templateString: '<div>'+ //$NON-NLS-1$
						'${messages.intro}'+ //$NON-NLS-1$
						'<a href="#" dojoAttachPoint="loginLink" title= "Login" dojoAttachEvent="onclick: onclick" </a>'+ //$NON-NLS-1$
						' ${messages.introTo}'+ //$NON-NLS-1$
					'</div>' //$NON-NLS-1$

});


})();
