/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.explorer.page.TextView"); //$NON-NLS-1$
dojo.require("dijit._Templated"); //$NON-NLS-1$
dojo.require("dijit.layout._LayoutWidget"); //$NON-NLS-1$
dojo.require("dijit.form.SimpleTextarea"); //$NON-NLS-1$
	
dojo.declare("com.ibm.relm.explorer.web.explorer.page.TextView", [dijit.layout._LayoutWidget, dijit._Templated], //$NON-NLS-1$
{
	widgetsInTemplate: true,
	templatePath: dojo.moduleUrl("com.ibm.relm.explorer.web","explorer/page/templates/TextView.html"), //$NON-NLS-1$ //$NON-NLS-2$
	
    layout: function(){
        this._content.resize();
    },
	
	setContent: function(message){
        if (message && message.title) {
            this.titleNode.innerHTML = message.title;
        }
		this.content.set("value", message.data); //$NON-NLS-1$
	}
});
	
