/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2013. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("com.ibm.relm.explorer.web.explorer.queryparams.paramprompt.NumberPrompt"); //$NON-NLS-1$

dojo.require("com.ibm.relm.explorer.web.explorer.queryparams.paramprompt.DataPrompt"); //$NON-NLS-1$
dojo.require("dijit.form.NumberTextBox"); //$NON-NLS-1$

(function(){

	dojo.declare(
		"com.ibm.relm.explorer.web.explorer.queryparams.paramprompt.NumberPrompt", //$NON-NLS-1$
		[com.ibm.relm.explorer.web.explorer.queryparams.paramprompt.DataPrompt], 
		{
			templatePath: dojo.moduleUrl('com.ibm.relm.explorer.web','explorer/queryparams/paramprompt/templates/NumberPrompt.html'), //$NON-NLS-1$ //$NON-NLS-2$
			widgetsInTemplate: true,
			
			fillValue: function(value) {
				this.input.set('value', value.value); //$NON-NLS-1$
			},
			
			getValue: function() {
				var value = this.input.get('value'); //$NON-NLS-1$
				
				return {
					type: "number", //$NON-NLS-1$
					value: value === 0 || value ? value.toString() : "" //$NON-NLS-1$
				};
			}
		});

	})();