/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2014. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.base.internal.canvas.command.CommandProvider"); //$NON-NLS-1$

dojo.require("com.ibm.relm.explorer.web.base.internal.canvas.command.EditCommand"); //$NON-NLS-1$

// ----------------------------------------------------------------------------
// Compose multiple commands into a single command
// ----------------------------------------------------------------------------

(function(){

com.ibm.relm.explorer.web.base.internal.canvas.command.CommandProvider = {
	createCommand: function(commandinfo) {
		var ec = com.ibm.relm.explorer.web.base.internal.canvas.command.EditCommand;
		if (commandinfo.type == "delete") { //$NON-NLS-1$
			return new ec.RemoveChildCommand(commandinfo.widget);
		}
		return null;
	}
};
})();
