/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.base.internal.canvas.extension.propertySupport"); //$NON-NLS-1$

// summary:
//		Property event subscriber.
//		This module is mixed-in to Editor.
//		'this' points to the Editor.

com.ibm.relm.explorer.web.base.internal.canvas.extension.propertySupport = {
	initialize: function(){
		this.subscribe("btp:PropertyChanged", "propertyChanged"); //$NON-NLS-1$ //$NON-NLS-2$
	},

	// ======== Topic Subscribers ====================================
	propertyChanged: function(message){
		if(!this.matchFilter(message, this.propertyChangedFilter)){
			return; // filter out the message
		}

		if(!this.isShowing(this)){
			return; // EditArea is inactive
		}

		/* do whatever you want */
	}
};
