/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.base.internal.dnd.DragMoveSource"); //$NON-NLS-1$
dojo.require("com.ibm.relm.explorer.web.base.internal.dnd.DragSource"); //$NON-NLS-1$

dojo.declare("com.ibm.relm.explorer.web.base.internal.dnd.DragMoveSource", com.ibm.relm.explorer.web.base.internal.dnd.DragSource, { //$NON-NLS-1$
	// override
	onDragMove: function(e){
		if(!this.dragObject){ return; }
		var dx = e.pageX - this.pageX;
		var dy = e.pageY - this.pageY;
		this.setPos(this.dragStartCssPosition.y + dy / this.zoom, this.dragStartCssPosition.x + dx/this.zoom);
	},

	setPos: function(/*Integer*/top, /*Integer*/left){
		this.dragObject.style.top = top + "px"; //$NON-NLS-1$
		this.dragObject.style.left = left + "px"; //$NON-NLS-1$
	},

	// override
	onDragEnd: function(e){
	},

	// override
	createDragClone: function(e){
	}
});
