/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.base.internal.gdc.Circle"); //$NON-NLS-1$

dojo.require("com.ibm.relm.explorer.web.base.internal.gdc.AbstractNode"); //$NON-NLS-1$
dojo.require("dijit._Container"); //$NON-NLS-1$

dojo.declare(
	"com.ibm.relm.explorer.web.base.internal.gdc.Circle", //$NON-NLS-1$
	[com.ibm.relm.explorer.web.base.internal.gdc.AbstractNode, dijit._Container],
{
	fill: "white", // default value //$NON-NLS-1$
	stroke: "black", // default value //$NON-NLS-1$

	createTargetShape: function(){
		return this.group.createCircle();
	},

	getShapeInfo: function(){
		return {cx:this.width/2, cy:this.width/2, r:this.width/2};
	},

	setWidth: function(/*Integer*/width){
		this.width = this.height = width;
		this.inherited(arguments);
	},

	setHeight: function(/*Integer*/height){
		this.width = this.height = height;
		this.inherited(arguments);
	}	
});
