/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.base.internal.gdc.router.AbstractRouter"); //$NON-NLS-1$

// Summary:
//		Base class for implementing a connection router.
//		Note that this is not a widget.
//		this.owner points to a connection widget.

dojo.declare(
	"com.ibm.relm.explorer.web.base.internal.gdc.router.AbstractRouter", //$NON-NLS-1$
	null,
{
	owner: null,

	constructor: function(/*ConnectionWidget*/ owner){
		this.owner = owner;
	},

	getPoints: function(){
		// subclass must implement
	},

	update: function(){
		// subclass may implement
	}
});
