/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2014. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("com.ibm.relm.le.leeditor.queryparams.paramprompt.SystemPrompt"); //$NON-NLS-1$

dojo.require("com.ibm.relm.le.leeditor.queryparams.paramprompt.DataPrompt"); //$NON-NLS-1$
dojo.require("com.ibm.team.repository.web.client.session.Session"); //$NON-NLS-1$
dojo.require("dojo.date.locale"); //$NON-NLS-1$
dojo.require("com.ibm.relm.le.leeditor.queryparams.SystemParameterUtil"); //$NON-NLS-1$

(function(){
	var utils = com.ibm.relm.le.leeditor.queryparams.SystemParameterUtil;
	dojo.declare(
		"com.ibm.relm.le.leeditor.queryparams.paramprompt.SystemPrompt", //$NON-NLS-1$
		[com.ibm.relm.le.leeditor.queryparams.paramprompt.DataPrompt], 
		{
			templatePath: dojo.moduleUrl('com.ibm.relm.le','leeditor/queryparams/paramprompt/templates/SystemPrompt.html'), //$NON-NLS-1$ //$NON-NLS-2$
			widgetsInTemplate: false,

			type: '', //$NON-NLS-1$
			displayValue: '', //$NON-NLS-1$
			// systemValue: '', //$NON-NLS-1$

			fillValue: function(value) {
				//No-op since these values are always up to date
			},
			

			constructor: function(args) {
				var values = utils.getValues(args.type);
				this.displayValue = values.displayValue;
				this.systemValue = values.systemValue;
			},

			getValue: function() {
				return this.systemValue;
			}
		});
})();