/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2014. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("com.ibm.relm.le.ui.internal.list.ItemRow"); //$NON-NLS-1$

dojo.require('dojo.i18n'); //$NON-NLS-1$
dojo.requireLocalization("com.ibm.relm.le.ui.internal.list", "ItemRowMessages"); //$NON-NLS-1$ //$NON-NLS-2$

dojo.require("com.ibm.relm.le.ui.internal.list.ListRow"); //$NON-NLS-1$

(function() {
	// default
	var ns = com.ibm.relm.le.ui.namespace;
	var LE_ICON = dojo.moduleUrl("com.ibm.relm.le", "ui/images/artifactelement.gif"); //$NON-NLS-1$ //$NON-NLS-2$

	dojo.declare(
		"com.ibm.relm.le.ui.internal.list.ItemRow", //$NON-NLS-1$
		[com.ibm.relm.le.ui.internal.list.ListRow],
		{
			messages: dojo.i18n.getLocalization("com.ibm.relm.le.ui.internal.list", "ItemRowMessages"), //$NON-NLS-1$ //$NON-NLS-2$
			
			postMixInProperties: function(){
				this.inherited(arguments);
				this.rowType = ns.ae.Ae;
				this.iconSrc = LE_ICON;
			},

			postCreate: function() {
				this.inherited(arguments);
				this._formatResource(this.item.name, this.nameContent, this.item, true);
			}
		});
	})();