/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8

({
	'actionShowMe': "Show me &gt;", //$NON-NLS-1$ //$NON-NLS-2$
	'actionMyDiagrams': "Browse views", //$NON-NLS-1$ //$NON-NLS-2$
	'actionLEs': "Browse artifact elements", //$NON-NLS-1$ //$NON-NLS-2$
	'actionCreateDiagram': "Create a view", //$NON-NLS-1$ //$NON-NLS-2$
	'actionCreateLE': "Create an artifact element", //$NON-NLS-1$ //$NON-NLS-2$
	'actionShowMe': "Show me &gt;", //$NON-NLS-1$ //$NON-NLS-2$
	'actionSearchDiagrams': "Search for a view", //$NON-NLS-1$ //$NON-NLS-2$
	'textWelcomeToDiagrams': "Welcome to Views", //$NON-NLS-1$ //$NON-NLS-2$
	'textWhatIsRELM': "What are views?", //$NON-NLS-1$ //$NON-NLS-2$
	'textWhatIsRELMLong1': "Use views to visualize artifacts, such as work items, requirements, design models, and quality test cases, in a view that makes sense for your project. The view might be a V process view, ISO standard view, or free-form view.", //$NON-NLS-1$ //$NON-NLS-2$
	'textWhatIsRELMLong2': "You can organize artifacts in shared views and personal views.", //$NON-NLS-1$ //$NON-NLS-2$
	'textWhatIsRELMLong3': "Each view shows artifacts from the index. The artifacts are active, so if you place your cursor over a work item, you see information in hover text. You can also select the work item and open it in Rational Team Concert. Any changes you make to the work item in Rational Team Concert are visible in the artifact after you refresh the view.", //$NON-NLS-1$ //$NON-NLS-2$
	'exampleHeading': "Example", //$NON-NLS-1$ //$NON-NLS-2$
	'textViewsExample1': "A project manager in Britain is overseeing a project that is being developed in the USA, Japan, and Canada, and wants to view artifacts from all locations. The project manager wants to check the status of three critical work items for an upcoming beta release, each owned by a team in a different place.", //$NON-NLS-1$ //$NON-NLS-2$
	'textViewsExample2': "In the custom view for the team, two work items have a green check mark; they are completed. The progress bar for the other work item indicates that it is still in progress, so the project manager hovers over it to see the latest update. The American team is waiting for a final decision from the project manager, who opens the work item, updates it, and saves the work. Now the American team can finish and close the work item.", //$NON-NLS-1$ //$NON-NLS-2$
	'textMoreBeta': "More information about this application...", //$NON-NLS-1$ //$NON-NLS-2$
	'textAccessAndManageYourWork': "Access and manage your work:", //$NON-NLS-1$ //$NON-NLS-2$
	'textMyDiagrams': "View and modify personal and shared views.", //$NON-NLS-1$ //$NON-NLS-2$
	'textLEs': "View and modify artifact elements. (Visible to administrators only.)", //$NON-NLS-1$ //$NON-NLS-2$
	'textCreateDiagram': "Users with view-creation privileges can create views.", //$NON-NLS-1$ //$NON-NLS-2$
	'textCreateLE': "Create artifact elements. (Visible to administrators only.)", //$NON-NLS-1$ //$NON-NLS-2$
	'textLearnMore': "Learn more about views &gt;", //$NON-NLS-1$ //$NON-NLS-2$
	'textUseCapabilityMenu': "Use the <b>Views menu</b> to create resources or to access existing resources.", //$NON-NLS-1$ //$NON-NLS-2$
	'textSearchForResources': "Search for resources with <b>quick search</b>.", //$NON-NLS-1$ //$NON-NLS-2$
	'textTrackResources': "Track resources available from the <b>Baselines menu</b> and the ${0}.", //$NON-NLS-1$ //$NON-NLS-2$
	'textMiniDashboard': "mini dashboard", //$NON-NLS-1$ //$NON-NLS-2$
	'textSearchDiagrams': "Search for a view by ID or keyword.", //$NON-NLS-1$ //$NON-NLS-2$
	'shortNameForWelcomePage': "Welcome to Views", //$NON-NLS-1$ //$NON-NLS-2$
	'relatedTopics': "Related Topics...", //$NON-NLS-1$ //$NON-NLS-2$
	'howViewsAndQueriesWorkTogether': "How views and queries work together", //$NON-NLS-1$ //$NON-NLS-2$
	'creatingAView': "Creating a view", //$NON-NLS-1$ //$NON-NLS-2$
	'usingViews': "Using views", //$NON-NLS-1$ //$NON-NLS-2$
	'moreInfo': "For more information about views, see <a target='_blank' href='http://www.ibm.com/support/knowledgecenter/SS2L6K_5.0.1/com.ibm.rational.relm.doc/pv_welcome.html'>Rational Engineering Lifecycle Manager documentation</a>." //$NON-NLS-1$ //$NON-NLS-2$
});