/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2013, 2014. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
//NLS_CHARSET=UTF-8

({
	propertiesPaneTitle: "Properties", //$NON-NLS-1$
	elementPropertiesTitle: "Element Properties", //$NON-NLS-1$
	viewElementPropertiesTitle: "View Element Properties", //$NON-NLS-1$
	artifactElementPropertiesTitle: "Artifact Element Properties", //$NON-NLS-1$
	
	titleContainer: "Container:", //$NON-NLS-1$
	titleText: "Text:", //$NON-NLS-1$
	titleImage: "Image:", //$NON-NLS-1$
	titleResourceNode: "Node:", //$NON-NLS-1$
	nothingSelected: "Select a node in the diagram.", //$NON-NLS-1$
	
	editComponentTitle: "Edit Resource Info", //$NON-NLS-1$
	
	// container attribute table
	attrName: "Name", //$NON-NLS-1$
	attrValue: "Value", //$NON-NLS-1$

	// container layout type
	containerType: "Container Type: ", //$NON-NLS-1$
	layoutLabel: "Layout ", //$NON-NLS-1$
	autolayout: "Auto Layout ", //$NON-NLS-1$
	gridlayout: "Grid Layout ", //$NON-NLS-1$
	treelayout: "Tree Layout ", //$NON-NLS-1$
	
	// link
	linkTitle: "Link: ", //$NON-NLS-1$
	showLines: "Show Connections", //$NON-NLS-1$
	linkedNodesOnly: "Linked Nodes Only", //$NON-NLS-1$
	linkConnection: "Connection", //$NON-NLS-1$
	
	// container properties
	containerId: "Container ID: ", //$NON-NLS-1$
	containerName: "Name: ", //$NON-NLS-1$
	layout: "Layout: ", //$NON-NLS-1$
	queryId: "Query ID: ", //$NON-NLS-1$
	posX: "X: ", //$NON-NLS-1$
	posY: "Y: ", //$NON-NLS-1$
	width: "Width: ", //$NON-NLS-1$
	height: "Height: ", //$NON-NLS-1$
	round: "Round: ", //$NON-NLS-1$
	columns: "Columns: ", //$NON-NLS-1$
	showGrid: "Show Grid: ", //$NON-NLS-1$
	pack: "Pack", //$NON-NLS-1$
	margin: "Margin: ", //$NON-NLS-1$
	hspacing: "Horizontal Spacing: ", //$NON-NLS-1$
	vspacing: "Vertical Spacing: ", //$NON-NLS-1$
	halign: "Horizontal Align: ", //$NON-NLS-1$
	valign: "Vertical align: ", //$NON-NLS-1$
	arrangement: "Arrange",  //$NON-NLS-1$
	virtical: "Vertical",  //$NON-NLS-1$
	horizontal: "Horizontal",  //$NON-NLS-1$
	columns: "Num Columns: ", //$NON-NLS-1$
	treeStyle: "Tree Style: ", //$NON-NLS-1$
	treeDir: "Tree Direction", //$NON-NLS-1$
	expandDepth: "Expand Depth: ", //$NON-NLS-1$
	defaultLayout: "Default Layout", //$NON-NLS-1$
	defaultQuery: "Default Query", //$NON-NLS-1$
	gridLayout: "Grid Layout", //$NON-NLS-1$
	treeLayout: "Tree Layout", //$NON-NLS-1$
	horizontal: "Horizontal", //$NON-NLS-1$
	vertical: "Vertical", //$NON-NLS-1$
	explorer: "Explorer", //$NON-NLS-1$
	normalDir: "Left to Right", //$NON-NLS-1$
	reverseDir: "Right to Left", //$NON-NLS-1$
	left: "Left", //$NON-NLS-1$
	center: "Center", //$NON-NLS-1$
	right: "Right", //$NON-NLS-1$
	top: "Top", //$NON-NLS-1$
	middle: "Middle", //$NON-NLS-1$
	bottom: "Bottom", //$NON-NLS-1$
	True: "True", //$NON-NLS-1$ 
	False: "False", //$NON-NLS-1$
	bold: "Bold", //$NON-NLS-1$
	normal: "Normal", //$NON-NLS-1$
	editButtonLabel: "Edit query", //$NON-NLS-1$
	editParamLabel: "Edit parameter", //$NON-NLS-1$
	editStrokeLabel: "Edit stroke color", //$NON-NLS-1$
	editFillLabel: "Edit fill color", //$NON-NLS-1$
	editChildLinkIdsLabel: "Edit Child Link", //$NON-NLS-1$
	editConnectionLabel: "Edit Connection", //$NON-NLS-1$
	noConnectionDefined: "CRCPD1532E At least one connection must be defined, and it needs an ID.", //$NON-NLS-1$
	colorPickerDialog: "Select Color",  //$NON-NLS-1$
	packInfoMessage: "Width and Height attribute is effective only if Pack attribute is false.", //$NON-NLS-1$
	
	noIdSpecified: "<Not Specified>" //$NON-NLS-1$
});
