/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.ui.internal.reports.LqeReportAuthorizer"); //$NON-NLS-1$

dojo.require("net.jazz.ajax.ui.PlatformUI"); //$NON-NLS-1$
dojo.require("net.jazz.ajax.ui.Workbench"); //$NON-NLS-1$
dojo.require("jazz.client.xhr"); //$NON-NLS-1$

(function(){
	var checkReportsPage = function(page) {
		if (page.id.indexOf("com.ibm.team.reports") === 0) { //$NON-NLS-1$
			checkLqeAuthorization();
		}
	};

	var checkLqeAuthorization = function() {
		jazz.client.xhrHead({
			url: net.jazz.ajax._contextRoot + "/relmui/query" //$NON-NLS-1$
		});
	};

	var registerReportPageListener = function() {
		var workbench = net.jazz.ajax.ui.PlatformUI.getWorkbench();
		dojo.connect(workbench, '_viewPage', null, checkReportsPage); //$NON-NLS-1$
	};
	com.ibm.relm.explorer.web.ui.internal.reports.LqeReportAuthorizer.registerReportPageListener = registerReportPageListener;
})();