/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.ui.internal.view.common.AttributeUtils"); //$NON-NLS-1$

(function(){
		
//dojo.require("dijit.InlineEditBox"); //$NON-NLS-1$
//dojo.require("com.ibm.relm.explorer.web.ui.internal.view.common.Select"); //$NON-NLS-1$

dojo.require("dojo.i18n"); //$NON-NLS-1$
dojo.requireLocalization("com.ibm.relm.explorer.web.ui.internal", "AttributeUtilsMessages"); //$NON-NLS-1$ //$NON-NLS-2$

var messages = dojo.i18n.getLocalization("com.ibm.relm.explorer.web.ui.internal", "AttributeUtilsMessages"); //$NON-NLS-1$  //$NON-NLS-2$
	
com.ibm.relm.explorer.web.ui.internal.view.common.AttributeUtils = {};

var attrUtils = com.ibm.relm.explorer.web.ui.internal.view.common.AttributeUtils;
dojo.mixin(attrUtils, 
{
	getAttributeLabel : function (attributeName) {
		var label = messages["attr_"+attributeName]; //$NON-NLS-1$
		if(!label || label == "") { //$NON-NLS-1$
			// label not found
			return attributeName;
		}
		
		return label;
	}
	
});
})();
