/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012,2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.ui.internal.view.common.ChildLinkIdsPicker"); //$NON-NLS-1$

dojo.require("com.ibm.relm.explorer.web.ui.internal.view.common.ButtonDialog"); //$NON-NLS-1$
dojo.require("com.ibm.relm.explorer.web.ui.internal.view.edit.ChildLinkIdsEditDialogContent"); //$NON-NLS-1$
dojo.require("dojo.i18n"); //$NON-NLS-1$
dojo.requireLocalization("com.ibm.relm.explorer.web.ui.internal", "PropertyDialogUtilsMessages"); //$NON-NLS-1$ //$NON-NLS-2$


dojo.declare(
	"com.ibm.relm.explorer.web.ui.internal.view.common.ChildLinkIdsPicker", //$NON-NLS-1$
	com.ibm.relm.explorer.web.ui.internal.view.common.ButtonDialog,
{
	// override default values
	isClosable: true,
	width: "500px",//$NON-NLS-1$
	
	//
	postMixInProperties: function(){
		this.messages = dojo.i18n.getLocalization("com.ibm.relm.explorer.web.ui.internal", "PropertyDialogUtilsMessages"); //$NON-NLS-1$  //$NON-NLS-2$
		this.primaryTitle = this.messages.childLinkIdsTitle;
		this.inherited(arguments);
	},
	
	postCreate: function(){
		var self = this;
		var content = new com.ibm.relm.explorer.web.ui.internal.view.edit.ChildLinkIdsEditDialogContent({
			ids: this.value,
			getConfig: function(){return self.config;}
		});
		this.dialogContent = content;
		this.inherited(arguments);
	}
});