/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2014. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.ui.internal.view.edit.PropertiesSideBarContent"); //$NON-NLS-1$

dojo.require("com.ibm.relm.explorer.web.ui.internal.view.edit.SideBarContent");//$NON-NLS-1$
dojo.require("com.ibm.relm.explorer.web.ui.internal.view.edit.PagePropertiesPane");//$NON-NLS-1$
dojo.require("com.ibm.relm.explorer.web.ui.internal.view.edit.PropertiesPane");//$NON-NLS-1$

(function(){

dojo.declare("com.ibm.relm.explorer.web.ui.internal.view.edit.PropertiesSideBarContent", //$NON-NLS-1$ 
		[com.ibm.relm.explorer.web.ui.internal.view.edit.SideBarContent], {

	_createSideBarContents: function() {
		var panes = [];
		
		// add page properties pane
		var pagePropertiesContent = new com.ibm.relm.explorer.web.ui.internal.view.edit.PagePropertiesPane({diagramView: this.diagramView});
		panes.push({
			id: "com.ibm.relm.explorer.web.ui.internal.view.edit.PagePropertiesPane",  //$NON-NLS-1$
			contentHelpId: "com.ibm.relm.explorer.web.section_Page_Props001", //$NON-NLS-1$
			content: pagePropertiesContent
		});
		
		// add properties pane
		var propertiesContent = new com.ibm.relm.explorer.web.ui.internal.view.edit.PropertiesPane({diagramView: this.diagramView});
		panes.push({
			id: "com.ibm.relm.explorer.web.ui.internal.view.edit.PropertiesPane",  //$NON-NLS-1$
			contentHelpId: "com.ibm.relm.explorer.web.section_Props001", //$NON-NLS-1$
			content: propertiesContent
		});
		
		this.connect(propertiesContent, "setContents", this._onSetContents); //$NON-NLS-1$
		return panes;
	},
	
	_onSetContents: function(node, container){
		var child = (node || container) ? 
				this._getContentPane("com.ibm.relm.explorer.web.ui.internal.view.edit.PropertiesPane") : //$NON-NLS-1$
				this._getContentPane("com.ibm.relm.explorer.web.ui.internal.view.edit.PagePropertiesPane"); //$NON-NLS-1$
		this.selectChild(child);
	}
});

})();
