/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	versionX: 'Version: {0}', //$NON-NLS-1$
	modifiedOnDateX: 'Modified: {0}', //$NON-NLS-1$
	createdOnDateX: 'Created: {0}', //$NON-NLS-1$
	creatorTooltip: 'Creator', //$NON-NLS-1$
	"manageDimensions": "Manage Dimensions", //$NON-NLS-1$ //$NON-NLS-2$
	userProperties: "User Properties", //$NON-NLS-1$
	systemProperties: "System Properties", //$NON-NLS-1$
	save: "Save", //$NON-NLS-1$
	refresh: "Refresh", //$NON-NLS-1$
	exploreInTree: "Explore in Tree", //$NON-NLS-1$
	loading: "Loading...", //$NON-NLS-1$
	property: "Property", //$NON-NLS-1$
	value: "Value", //$NON-NLS-1$
	actions: "Actions", //$NON-NLS-1$
	addProperty: "Add Property", //$NON-NLS-1$
	editProperty: "Edit Property", //$NON-NLS-1$
	removeProperty: "Remove Property", //$NON-NLS-1$
	propertyName: "Name", //$NON-NLS-1$
	propertyValue: "Value", //$NON-NLS-1$
	ok: "Ok", //$NON-NLS-1$
	cancel: "Cancel", //$NON-NLS-1$
	auditSection: "Audit", //$NON-NLS-1$
	auditHelp: "Changes after the last check in:", //$NON-NLS-1$
	snapshotTooltip: "Branch and Version", //$NON-NLS-1$
	branchSection: "Dimensions", //$NON-NLS-1$
	dimensionSection: "Dimensions", //$NON-NLS-1$
	dimensionScopeColumnLabel: "Scope", //$NON-NLS-1$
	dimensionNameColumnLabel: "Dimension", //$NON-NLS-1$
	dimensionValueColumnLabel: "Value", //$NON-NLS-1$
	noDimensionsInfoForConfigurationsMessage: "Click Edit to add dimensions.", //$NON-NLS-1$
	clickToRename: "Click to Rename", //$NON-NLS-1$
	propertiesSection: "Properties", //$NON-NLS-1$
	configurationSection: "Variability Parameters", //$NON-NLS-1$
	editConfigurationsTooltip: "Edit Variability Parameters", //$NON-NLS-1$
	editBranchDimensionsLink: "Edit", //$NON-NLS-1$
	editBranchDimensionsForConfigurationsTooltip: "Edit Dimensions", //$NON-NLS-1$
	editBranchDimensionsTooltip: "Edit Dimensions", //$NON-NLS-1$
	discardChangesOnUnloadPrompt: "Discard changes?\nClick <b>Cancel</b> so you can save any changes that you want to keep.", //$NON-NLS-1$
	savedChangesStatus: "Saved Changes", //$NON-NLS-1$
	editPropertiesLink: "Edit", //$NON-NLS-1$
	noProperties: "Click Edit to add properties.", //$NON-NLS-1$
	editPropertiesTooltip: "Add or Modify Properties", //$NON-NLS-1$
	showInProductTree: "Show in {Product} Tree", //$NON-NLS-1$
	linksSection: "Links", //$NON-NLS-1$
	noLinks: "No Links", //$NON-NLS-1$
	findUse: "Find Use", //$NON-NLS-1$
	showHistory: "Show Audit History", //$NON-NLS-1$
	startAnalysis: "Start Analysis", //$NON-NLS-1$

	imported: "Imported", //$NON-NLS-1$

	// @since 1.0.0.1
	noDimensionsReadOnly: 'No dimensions are set.', //$NON-NLS-1$
	noPropertiesReadOnly: 'No Properties', //$NON-NLS-1$
	dragToMove: 'Drag to Move or Reuse', //$NON-NLS-1$

	noConfigurationVariables: "Click Edit to modify parameters.", //$NON-NLS-1$
	noConditions: "Click Edit to define expression.", //$NON-NLS-1$
	conditionsHeader: "Variability Expression", //$NON-NLS-1$
	editConditionsTooltip: "Edit Variability Expression", //$NON-NLS-1$

	rtcConnectedToServer: 'Rational Team Concert Server: ', //$NON-NLS-1$
	rtcConnectedToStream: 'Connected Stream: ', //$NON-NLS-1$
	rtcConnectedToComponent: 'Connected Component: ', //$NON-NLS-1$
	rtcBaseline: 'Baseline: ', //$NON-NLS-1$

	rtcOriginalStreamId: 'Original Stream ID: ', //$NON-NLS-1$
	rtcOriginalStreamName: 'Original Stream Name: ', //$NON-NLS-1$
	globalConfiguration: 'Global Configuration: ', //$NON-NLS-1$
	externalConfiguration: 'External Configuration: ' //$NON-NLS-1$

});