/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/

(function()  {
dojo.provide("com.ibm.relm.explorer.web.ui.internal.wizard.GuideStep");  //$NON-NLS-1$

dojo.require("dijit._Widget"); //$NON-NLS-1$
dojo.require("dijit._Templated"); //$NON-NLS-1$

dojo.require("jazz.ui.wizard.WizardStepHeader"); //$NON-NLS-1$
dojo.require("jazz.ui.wizard.WizardStep"); //$NON-NLS-1$
dojo.require("jazz.ui.HoverPopup"); //$NON-NLS-1$

dojo.require("dojo.i18n"); //$NON-NLS-1$
dojo.requireLocalization("com.ibm.relm.explorer.web.ui.internal", "CreateNewDiagramWizardMessages"); //$NON-NLS-1$ //$NON-NLS-2$

var WizardStepHeader = jazz.ui.wizard.WizardStepHeader;
var WizardStep = jazz.ui.wizard.WizardStep;

dojo.declare("com.ibm.relm.explorer.web.ui.internal.wizard.GuideStep",  //$NON-NLS-1$
		[WizardStep, dijit._Widget, dijit._Templated] ,{
	
	templatePath: dojo.moduleUrl("com.ibm.relm.explorer.web",  "ui/internal/wizard/templates/GuideStep.html"), //$NON-NLS-1$ //$NON-NLS-2$
	widgetsInTemplate: true,
	
	postMixInProperties: function() {
		this.inherited(arguments);
		this.messages = dojo.i18n.getLocalization("com.ibm.relm.explorer.web.ui.internal", "CreateNewDiagramWizardMessages"); //$NON-NLS-1$ //$NON-NLS-2$
	},
	
	postCreate: function() {
		this.inherited(arguments);
		this.header = new WizardStepHeader ({stepTitle: ""}); //$NON-NLS-1$
		this.stepHeaderArea.appendChild(this.header.domNode);
		this.startup();
	},
	
	////////////////////////////////////////

	canFinish: function() {
		return true;
	},
	
	canCancel: function() {
		return true;
	},
	
	finalStep: function() {
		return true;
	}
});

}) ();