/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.relm.setup.ui.internal.wizard.WizardUtil"); //$NON-NLS-1$

var LOCAL_URL = new dojo._Url(location.href);

com.ibm.relm.setup.ui.internal.wizard.WizardUtil = {

    getrmpsUrl: function(location) {
		var curPage = new dojo._Url(location);
		var rmpsUrl = curPage.toString();
		return rmpsUrl.substring(0, rmpsUrl.indexOf("/relmsetup")); //$NON-NLS-1$
    },
    
    isEmbedded: function() {
    	var qstr = window.location.search.substr(1);
    	if (qstr.length) {
    		var qparts = qstr.split("&"); //$NON-NLS-1$
    		for (var x = 0; x < qparts.length; x++) {
    			var tp = qparts[x].split("="); //$NON-NLS-1$
    			if (tp[0] == "embed") { //$NON-NLS-1$
    				return tp[1] === "true"; //$NON-NLS-1$
    			}
    		}
    	}	
    }
};
