dojo.provide("com.ibm.relm.ple.web.ui.templates.HPoolTemplate"); //$NON-NLS-1$


var HPoolTemplate = [{
    dojoAttachPoint: '_expandedGroup', //$NON-NLS-1$
    layout: {
        type: 'ibm_ilog.diagram.gfxlayout.GridLayout', //$NON-NLS-1$
        rows: [{height: -1}, {}, {height: -1}]
    },
    children: [ 
        {
        dojoAttachPoint: '_header', //$NON-NLS-1$
        row: 0,
        margins: [0, 2, 2, 2],
		minimumSize: { width:22, height:-1 },
        layout: {
            type: 'ibm_ilog.diagram.gfxlayout.GridLayout' //$NON-NLS-1$
        },
        children: [{
            dojoAttachPoint: 'titleShape', //$NON-NLS-1$
            halign: 'center', //$NON-NLS-1$
            valign: 'top', //$NON-NLS-1$
            transform: {
                xx: 1,
                xy: 0,
                yx: 0,
                yy: 1			
            },
            shape: {
                type: 'text', //$NON-NLS-1$
                text: '{{label|safe}}', //$NON-NLS-1$
                align: 'middle' //$NON-NLS-1$
            },
            fill: '{{textColor}}', //$NON-NLS-1$
            font: {
                type: 'font', //$NON-NLS-1$
                size: '10pt', //$NON-NLS-1$
                family: 'sans-serif', //$NON-NLS-1$
				weight: 'bold' //$NON-NLS-1$
            },
            margin: [0, 200, 0, 0]
        }]
    }, {
        dojoAttachPoint: '_graphRect', //$NON-NLS-1$
        row: 1,
        shape: {
            type: 'rect', //$NON-NLS-1$
            width: 0,
            height: 0
        }
        
    }, {
        row: 1,
        margins: 0,
        halign: 'left', //$NON-NLS-1$
        valign: 'top', //$NON-NLS-1$
        children: [{
            shape: {
                type: 'rect', //$NON-NLS-1$
                x: 0,
                y: 0,
                width: 0,
                height: 0
            }
        }, {
            dojoAttachPoint: '_graph', //$NON-NLS-1$
            shape: {
                type: 'graph' //$NON-NLS-1$
            }
        }]
    }]
}];

OverviewSubgraphTemplate ="[{ shape: { width: 0, height: 0, type: 'rect' }, fill: '#AAD7FF', stroke:'#000000'}]"; //$NON-NLS-1$