/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.ui.view.nodes.ResourceNode"); //$NON-NLS-1$

dojo.provide("com.ibm.relm.explorer.web.ui.internal.view.nodes.ResourceNode"); //$NON-NLS-1$
(function(){
	
dojo.declare(
	"com.ibm.relm.explorer.web.ui.view.nodes.ResourceNode", //$NON-NLS-1$
	com.ibm.relm.explorer.web.ui.internal.view.nodes.ResourceNode,
{
	// Actions which are allowed to be executed.
	// The predefined actions are defined in _ActionsMix class
	// To add the actions, 
	// 1. Create a subclass of ResourceNode
	// 2. Add custom action name to actions array
	// 3. Implement the custom action as a method
	actions: ["openView", "reloadContainer", "reloadConnections"], //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
	
	/*
	 * get all resource URIs which user made checked
	 */
	getCheckedResourceUris: function(){
		return this._viewer.getCheckedResourceUris();
	}
}
	
);

})();