/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide('com.ibm.relm.common.web.StyledHeader'); //$NON-NLS-1$

dojo.require('dijit._Templated'); //$NON-NLS-1$

(function(){
	dojo.declare(
		'com.ibm.relm.common.web.StyledHeader', //$NON-NLS-1$
		[ dijit._Widget, dijit._Templated ],
		{
			templatePath: dojo.moduleUrl('com.ibm.relm.common.web', 'templates/StyledHeader.html'), //$NON-NLS-1$ //$NON-NLS-2$
			widgetsInTemplate: false,

			label: '', //$NON-NLS-1$
			labelId: null,

			postCreate: function() {
				this.inherited(arguments);

				if (this.labelId) {
					dojo.attr(this._label, 'id', this.labelId); //$NON-NLS-1$
				}
			}
		}
	);
})();