/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
//NLS_CHARSET=UTF-8

({
	dialogTitle: "Enumeration Manager", //$NON-NLS-1$
	cancelButtonLabel: "Cancel", //$NON-NLS-1$
	submitButtonLabel: "Save", //$NON-NLS-1$
	helpHeader: "Create, edit, or delete an enumeration.", //$NON-NLS-1$
	helpInfo: "Enumerations are named lists of ordered values.", //$NON-NLS-1$
	loadingStatus: "Loading", //$NON-NLS-1$
	savingStatus: "Saving", //$NON-NLS-1$

	enumsSectionHeading: "Enumerations", //$NON-NLS-1$
	noEnumSelectedText: "Select an enumeration to edit it.", //$NON-NLS-1$
	addEnumButton: "Add", //$NON-NLS-1$
	addEnumButtonTooltip: "Add an enumeration", //$NON-NLS-1$
	addNewEnumMenuItem: "New Enumeration", //$NON-NLS-1$
	addNewEnumMenuItemTooltip: "Create an enumeration", //$NON-NLS-1$
	addExistingEnumMenuItem: "Existing Enumeration", //$NON-NLS-1$
	addExistingEnumMenuItemTooltip: "Link to an enumeration in the index", //$NON-NLS-1$	
	deleteEnumTooltip: "Delete the selected enumeration", //$NON-NLS-1$
	exportEnumsTooltip: "Export Eumerations...", //$NON-NLS-1$
	initialNewEnumName: "New Enumeration", //$NON-NLS-1$
	
	enumDetailsSectionHeading: "Details", //$NON-NLS-1$
	enumNameLabel: "Name:", //$NON-NLS-1$
	enumUriLabel: "URI:", //$NON-NLS-1$
	requiredEnumNamePlaceholder: "Required name", //$NON-NLS-1$
	loadExternalUriButton: "Load", //$NON-NLS-1$
	// The URL is for illustration only
	exampleExternalUri: "Example: http://www.example.com/ns/alm#priority", //$NON-NLS-1$
	
	valuesSectionHeading: "Values", //$NON-NLS-1$
	addEnumValueButton: "Add", //$NON-NLS-1$
	addEnumValueButtonTooltip: "Add an enumeration value", //$NON-NLS-1$
	nameColumnHeading: "Name", //$NON-NLS-1$
	substitutionColumnHeading: "Query Substitution Value", //$NON-NLS-1$
	actionColumnHeading: "Actions", //$NON-NLS-1$
	upTooltip: "Move the row up", //$NON-NLS-1$
	downTooltip: "Move the row down", //$NON-NLS-1$
	deleteRowTooltip: "Delete this row", //$NON-NLS-1$
	requiredEnumValueNamePlaceholder: "Required name", //$NON-NLS-1$
	optionalEnumValueSubPlaceholder: "Optional substition string", //$NON-NLS-1$
	
	// Validation messages
	
	// UI message shown when trying to load an enumeration by URI but that
	// enumeration has previously been added.
	// {0}=enumeration URI
	externalUriAlreadyAdded: "The {0} enumeration was already added.", //$NON-NLS-1$
	
	// UI message shown when loading an enumeration by URI that doesn't have
	// any values.
	// {0}=enumeration name, {1}=enumeration URI
	externalEnumHasNoValues: "The \"{0}\" resource ({1}) has no enumeration values, so it cannot be added. It might not be an enumeration, or it might not conform to the expected form.",  //$NON-NLS-1$
	
	// UI message shown during client-side enumeration validation before the
	// user is allowed to save.
	// {0}=enumeration name
	localEnumHasNoValues: "The \"{0}\" enumeration does not have any values defined. At least one value is required.", //$NON-NLS-1$
	
	// UI message shown during client-side enumeration validation before the
	// user is allowed to save.
	// {0}=enumeration name
	enumValueWithoutName: "The \"{0}\" enumeration has a value with a missing name. Ensure that each value has a unique name.", //$NON-NLS-1$
	
	// UI message shown during client-side enumeration validation before the
	// user is allowed to save.
	// {0}=enumeration name, {1}=value name
	enumWithDuplicateValues: "The \"{0}\" enumeration has multiple values with the name \"{1}\". Ensure that each value has a unique name." //$NON-NLS-1$
});