/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/

(function() { // avoid variables in the global (window) scope
	
var ImagePool = dojo.provide("com.ibm.relm.explorer.web.explorer.page.ImagePool"); //$NON-NLS-1$

ImagePool._BASE = "explorer/images/"; //$NON-NLS-1$
ImagePool._getImageUri = function(imgName) {
	 	return dojo.moduleUrl("com.ibm.relm.explorer.web", ImagePool._BASE + imgName); //$NON-NLS-1$
};

ImagePool.BLU_TWISTIE_CLOSED   = ImagePool._getImageUri("blu-twistie-closed.gif"); //$NON-NLS-1$
ImagePool.BLU_TWISTIE_OPEN     = ImagePool._getImageUri("blu-twistie-open.gif"); //$NON-NLS-1$
ImagePool.CLOSE                = ImagePool._getImageUri("close.gif"); //$NON-NLS-1$
ImagePool.DD_ARROW             = ImagePool._getImageUri("dd-arrow.gif"); //$NON-NLS-1$
ImagePool.DD_ARROW_HOV         = ImagePool._getImageUri("dd-arrow-hov.gif"); //$NON-NLS-1$
ImagePool.DELETE               = ImagePool._getImageUri("delete.gif"); //$NON-NLS-1$
ImagePool.ERROR                = ImagePool._getImageUri("error.gif"); //$NON-NLS-1$
ImagePool.WARNING              = ImagePool._getImageUri("warning.gif"); //$NON-NLS-1$
ImagePool.INFO                 = ImagePool._getImageUri("info.gif"); //$NON-NLS-1$
ImagePool.EXPORT               = ImagePool._getImageUri("export.gif"); //$NON-NLS-1$
ImagePool.FOLDER               = ImagePool._getImageUri("folder.gif"); //$NON-NLS-1$
ImagePool.NEW_FOLDER_OBJ       = ImagePool._getImageUri("new-folder-obj.gif"); //$NON-NLS-1$
ImagePool.RENAME               = ImagePool._getImageUri("rename.gif"); //$NON-NLS-1$
ImagePool.DEFAULT_REPORT_OBJ   = ImagePool._getImageUri("default-report.gif"); //$NON-NLS-1$
ImagePool.REPORT_OBJ           = ImagePool._getImageUri("report-obj.gif"); //$NON-NLS-1$
ImagePool.REPORT_OBJ_32	   	   = ImagePool._getImageUri("report_obj32.png"); //$NON-NLS-1$
ImagePool.REPORTS_OBJ          = ImagePool._getImageUri("reports-obj.gif"); //$NON-NLS-1$
ImagePool.REPORTTEMPLATE_OBJ   = ImagePool._getImageUri("reporttemplate-obj.gif"); //$NON-NLS-1$
ImagePool.SET_AS_DEFAULT       = ImagePool._getImageUri("default-report.gif"); //$NON-NLS-1$
ImagePool.REPORTTEMPLATE_OBJ   = ImagePool._getImageUri("reporttemplate-obj.gif"); //$NON-NLS-1$
ImagePool.TWISTIE_CLOSED       = ImagePool._getImageUri("twistie-closed.gif"); //$NON-NLS-1$
ImagePool.TWISTIE_CLOSED_LIGHT = ImagePool._getImageUri("twistie-closed-light.gif"); //$NON-NLS-1$
ImagePool.TWISTIE_OPEN         = ImagePool._getImageUri("twistie-open.gif"); //$NON-NLS-1$
ImagePool.TWISTIE_OPEN_LIGHT   = ImagePool._getImageUri("twistie-open-light.gif"); //$NON-NLS-1$

})();