/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2013. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("com.ibm.relm.explorer.web.explorer.queryparams.paramprompt.StringPrompt"); //$NON-NLS-1$

dojo.require("com.ibm.relm.explorer.web.explorer.queryparams.paramprompt.DataPrompt"); //$NON-NLS-1$

(function(){

	dojo.declare(
		"com.ibm.relm.explorer.web.explorer.queryparams.paramprompt.StringPrompt", //$NON-NLS-1$
		[com.ibm.relm.explorer.web.explorer.queryparams.paramprompt.DataPrompt], 
		{
			templatePath: dojo.moduleUrl('com.ibm.relm.explorer.web','explorer/queryparams/paramprompt/templates/StringPrompt.html'), //$NON-NLS-1$ //$NON-NLS-2$
			widgetsInTemplate: false,
			
			fillValue: function(value) {
				this.input.value = value.value;
			},
			
			getValue: function() {
				return {
					type: "string", //$NON-NLS-1$
					value: this.input.value
				};
			}
		});

})();