/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.base.internal.canvas.tool.DragGhostMoveTracker"); //$NON-NLS-1$

dojo.require("com.ibm.relm.explorer.web.base.internal.canvas.tool.DragMoveTracker"); //$NON-NLS-1$
dojo.require("com.ibm.relm.explorer.web.base.internal.dnd.DragGhostMoveSource"); //$NON-NLS-1$

// summary:
//		A DragTracker that moves components on the editor with drag and drop operation.

dojo.declare(
	"com.ibm.relm.explorer.web.base.internal.canvas.tool.DragGhostMoveTracker", //$NON-NLS-1$
	com.ibm.relm.explorer.web.base.internal.canvas.tool.DragMoveTracker,
{
	_dragGhost: true // true: drag a dashed frame, false: drag an actual component
});
