/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.base.internal.gdc.Ellipse"); //$NON-NLS-1$

dojo.require("com.ibm.relm.explorer.web.base.internal.gdc.AbstractNode"); //$NON-NLS-1$
dojo.require("dijit._Container"); //$NON-NLS-1$

dojo.declare(
	"com.ibm.relm.explorer.web.base.internal.gdc.Ellipse", //$NON-NLS-1$
	[com.ibm.relm.explorer.web.base.internal.gdc.AbstractNode, dijit._Container],
{
	fill: "white", // default value //$NON-NLS-1$
	stroke: "black", // default value //$NON-NLS-1$

	createTargetShape: function(){
		return this.group.createEllipse();
	},

	getShapeInfo: function(){
		return {cx:this.width/2, cy:this.height/2, rx:this.width/2, ry:this.height/2};
	},

	setWidth: function(/*Integer*/width){
		this.width = width;
		if(this.doRefresh && this.shape){
			this.shape.setShape({cx:width/2,rx:width/2});
		}
	},

	setHeight: function(/*Integer*/height){
		this.height = height;
		if(this.doRefresh && this.shape){
			this.shape.setShape({cy:height/2,ry:height/2});
		}
	}	
});
