/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.base.internal.gdc.Rect"); //$NON-NLS-1$

dojo.require("com.ibm.relm.explorer.web.base.internal.gdc.AbstractNode"); //$NON-NLS-1$
dojo.require("dijit._Container"); //$NON-NLS-1$

dojo.declare(
	"com.ibm.relm.explorer.web.base.internal.gdc.Rect", //$NON-NLS-1$
	[com.ibm.relm.explorer.web.base.internal.gdc.AbstractNode, dijit._Container],
{
	r: 0,
	fill: "white", // default value //$NON-NLS-1$
	stroke: "black", // default value //$NON-NLS-1$

	createTargetShape: function(){
		return this.group.createRect();
	},

	getShapeInfo: function(){
		return {width:this.width, height:this.height, r:this.r};
	},

	getR: function(){
		return this.r;
	},
	
	setR: function(/*Integer*/r){
		this.r = r;
		if(this.doRefresh && this.shape){
			this.shape.setShape({r:r});
		}
	}
});
