/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.base.internal.gdc._gfxPatch"); //$NON-NLS-1$

if(dojo.isIE){
	dojox.gfx.shape.Creator._createImage = dojox.gfx.shape.Creator.createImage;
	dojox.gfx.shape.Creator.createImage = function(image){
		var shape = dojox.gfx.shape.Creator._createImage.apply(this, arguments);
		// workaround to avoid (probably) a bug of createImage().
		// shape.rawNode is a div, which occupies the whole parent area.
		// I have no idea why it has to be so. But anyway it hides events for the surface.
		var div = shape.rawNode;
		div.style.width = ""; //$NON-NLS-1$
		div.style.height = ""; //$NON-NLS-1$
		div.style.fontSize = "1px"; //$NON-NLS-1$
		return shape;
	};
	dojox.gfx.Group.prototype.createImage = dojox.gfx.shape.Creator.createImage;
	dojox.gfx.Surface.prototype.createImage = dojox.gfx.shape.Creator.createImage;

/*
	dojox.gfx.Surface.prototype._setDimensions = dojox.gfx.Surface.prototype.setDimensions;
	dojox.gfx.Surface.prototype.setDimensions = function(width, height){
		this._setDimensions(width, height);
		this.rawNode.coordsize = this.width + " " + this.height;
		this.clipNode.style.clip = "rect(0px " + width + " " + height + " 0px)"; // bug in dojo-1.2.3
	};


	dojox.gfx.Group.prototype.__setDimensions = dojox.gfx.Group.prototype._setDimensions;
	dojox.gfx.Group.prototype._setDimensions = function(width, height){
		this.__setDimensions(width, height);
		this.rawNode.coordsize = (width + " " + height).replace(/px/g, "");
	};
*/

	dojox.gfx.shape.Creator._createGroup = dojox.gfx.shape.Creator.createGroup;
	dojox.gfx.shape.Creator.createGroup = function(){
		var g = dojox.gfx.shape.Creator._createGroup.apply(this, arguments);
		var r = g.bgNode;
		r.style.width  = parseInt(g.rawNode.style.width) - 1 + "px"; //$NON-NLS-1$
		r.style.height = parseInt(g.rawNode.style.height) - 1 + "px"; //$NON-NLS-1$
		return g;
	};
	dojox.gfx.Group.prototype.createGroup = dojox.gfx.shape.Creator.createGroup;
	dojox.gfx.Surface.prototype.createGroup = dojox.gfx.shape.Creator.createGroup;
}
