/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.base.internal.gdc.decoration.DefaultPresets"); //$NON-NLS-1$

com.ibm.relm.explorer.web.base.internal.gdc.decoration.DefaultPresets =
{
	arrow: {
		points: [{x: -13, y: -4}, {x: 0, y: 0}, {x: -13, y: 4}],
		fill: "" // no fill //$NON-NLS-1$
	},
	white_arrow: {
		points: [{x: 0, y: 0}, {x: -13, y: -4}, {x: -13, y: 4}, {x: 0, y: 0}],
		fill: "white" //$NON-NLS-1$
	},
	filled_arrow: {
		points: [{x: 0, y: 0}, {x: -13, y: -4}, {x: -13, y: 4}, {x: 0, y: 0}]
	},
	arrow_s: {
		points: [{x: -7, y: -3}, {x: 0, y: 0}, {x: -7, y: 3}],
		fill: "" // no fill //$NON-NLS-1$
	},
	white_arrow_s: {
		points: [{x: 0, y: 0}, {x: -7, y: -3}, {x: -7, y: 3}, {x: 0, y: 0}],
		fill: "white" //$NON-NLS-1$
	},
	filled_arrow_s: {
		points: [{x: 0, y: 0}, {x: -7, y: -3}, {x: -7, y: 3}, {x: 0, y: 0}]
	},

	white_diamond: {
		points: [{x: 0, y: 0}, {x: -8, y: 5}, {x: -16, y: 0}, {x: -8, y: -5}, {x: 0, y: 0}],
		fill: "white" //$NON-NLS-1$
	},
	filled_diamond: {
		points: [{x: 0, y: 0}, {x: -8, y: 5}, {x: -16, y: 0}, {x: -8, y: -5}, {x: 0, y: 0}]
	}
};

com.ibm.relm.explorer.web.base.internal.gdc.decoration.DefaultPathPresets =
{
	arrow: {
		path: "m -13 -4 l 13 4 l -13 4", //$NON-NLS-1$
		fill: "" // no fill //$NON-NLS-1$
	},
	white_arrow: {
		path: "m 0 0 l -13 -4 l 0 8 l 13 -4", //$NON-NLS-1$
		fill: "white" //$NON-NLS-1$
	},
	filled_arrow: {
		path: "m 0 0 l -13 -4 l 0 8 l 13 -4" //$NON-NLS-1$
	},
	arrow_s: {
		path: "m 0 0  l -7 -3 l 0 6", //$NON-NLS-1$
		fill: "" // no fill //$NON-NLS-1$
	},
	white_arrow_s: {
		path: "m 0 0 l -7 -3 l 0 6 l 7 -3", //$NON-NLS-1$
		fill: "white" //$NON-NLS-1$
	},
	filled_arrow_s: {
		path: "m 0 0 l -7 -3 l 0 6 l 7 -3" //$NON-NLS-1$
	},

	white_diamond: {
		path: "m 0 0 l -8 5 l -8 -5 l 8 -5 l 8 5", //$NON-NLS-1$
		fill: "white" //$NON-NLS-1$
	},
	filled_diamond: {
		path: "m 0 0 l -8 5 l -8 -5 l 8 -5 l 8 5" //$NON-NLS-1$
	}
};
if(com.ibm.relm.explorer.web.base.internal.gdc.decoration.presets){
	com.ibm.relm.explorer.web.base.internal.gdc.decoration.presets = dojo.mixin(com.ibm.relm.explorer.web.base.internal.gdc.decoration.presets, com.ibm.relm.explorer.web.base.internal.gdc.decoration.DefaultPresets);
}else{
	com.ibm.relm.explorer.web.base.internal.gdc.decoration.presets = com.ibm.relm.explorer.web.base.internal.gdc.decoration.DefaultPresets;
}
if(com.ibm.relm.explorer.web.base.internal.gdc.decoration.pathPresets){
	com.ibm.relm.explorer.web.base.internal.gdc.decoration.pathPresets = dojo.mixin(com.ibm.relm.explorer.web.base.internal.gdc.decoration.pathPresets, com.ibm.relm.explorer.web.base.internal.gdc.decoration.DefaulPathtPresets);
}else{
	com.ibm.relm.explorer.web.base.internal.gdc.decoration.pathPresets = com.ibm.relm.explorer.web.base.internal.gdc.decoration.DefaultPathPresets;
}
