/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2014. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
//NLS_CHARSET=UTF-8

({
	NewQuery: "New Artifact Element", //$NON-NLS-1$
	CopyOf: "Copy of ${0}", //$NON-NLS-1$
	
	// template
	Query: "Artifact Element", //$NON-NLS-1$
	PreviewQuery: "Preview", //$NON-NLS-1$
	CreateQuery: "Create", //$NON-NLS-1$
	SaveQuery: "Save", //$NON-NLS-1$
	SaveCopy: "Save Copy", //$NON-NLS-1$
	Id: "ID:", //$NON-NLS-1$
	Name: "Name:", //$NON-NLS-1$
	Description: "Description:", //$NON-NLS-1$
	Cancel: "Cancel", //$NON-NLS-1$
	Folder: "Folder: ", //$NON-NLS-1$

	pleaseSelectFolder: "Please select a folder.", //$NON-NLS-1$
	navigateAway:"Are you sure you want to navigate away from this page?", //$NON-NLS-1$
	unsavedChanges:"You have unsaved changes on this page. If you continue, you will lose your changes.", //$NON-NLS-1$
	okOrCancel:"Press OK to continue, or Cancel to stay on the current page.", //$NON-NLS-1$
	createSuccess: "The artifact element has been created successfully.", //$NON-NLS-1$
	saveSuccess: "The artifact element has been saved successfully.", //$NON-NLS-1$

	AddPrefix: 'Add Prefix...', //$NON-NLS-1$
	AddPrefixTooltip: 'Add Prefix Definition', //$NON-NLS-1$
	AddPredifinedPrefix: 'Add Predifined Prefixes', //$NON-NLS-1$
	
	ImportFromJRS: 'Import Query...', //$NON-NLS-1$
	ImportFromJRSTooltip: 'Import a query from Jazz Reporting Service', //$NON-NLS-1$

	paramName: 'Name', //$NON-NLS-1$
	Type: 'Type', //$NON-NLS-1$
	Label: 'Label', //$NON-NLS-1$
	Properties: 'Links', //$NON-NLS-1$
	Parameters: 'Parameters', //$NON-NLS-1$
	parameterizeQuery: 'Paramterize Artifact Element', //$NON-NLS-1$
	sparqlQuery: 'SPARQL Query', //$NON-NLS-1$
	emptyPropTable: 'Empty until you add a variable to the query and then click Add.', //$NON-NLS-1$
	emptyTable: 'Empty until you add a parameter to the query and then refresh this area.', //$NON-NLS-1$
	//{0} The parameter name	
	missingParameterDefinitionX: 'CRCPD2001W The following parameters in the artifact element are not defined: {0}.<br/>Click the Refresh icon to display the parameters, add the missing information, and click Save.', //$NON-NLS-1$
	UpdateParametersTooltip: 'Refresh parameters from SPARQL query', //$NON-NLS-1$ 
	propertyExplanation: 'Add a SPARQL variable in the SPARQL Query section. Click Add to add a row to this area and then define the variable in the following columns.', //$NON-NLS-1$
	parameterExplanation: 'To populate the parameters list, add a parameter in the form $parameter_name$ in the SPARQL Query section and then refresh this area.', //$NON-NLS-1$
	//{0} The parameter name
	unsupportedParameterName: 'CRCPDXXXXW The following parameter names contain unsupported characters: {0}<br/>Parameter names must match the regular expression [a-zA-Z_][a-zA-Z0-9_-]*.', //$NON-NLS-1$
	linkTo: "Link To", //$NON-NLS-1$
	linkToMore: "More...", //$NON-NLS-1$
	propertyAlreadyExisted: "{0} has already existed. Set other name for the property.", //$NON-NLS-1$
	noOtherAEExists: "CRCPD2002W No other artifact element exists.", //$NON-NLS-1$
	missingPropertyInfo: "CRCPD2003W The links are missing required information. <br/>Provide the missing information and click Save.", //$NON-NLS-1$
	propertyNameEmpty: "Property name can not be empty." //$NON-NLS-1$
});
