/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2014. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("com.ibm.relm.le.leeditor.queryparams.paramprompt.BooleanPrompt"); //$NON-NLS-1$

dojo.require("com.ibm.relm.le.leeditor.queryparams.paramprompt.DataPrompt"); //$NON-NLS-1$

(function(){

	dojo.declare(
		"com.ibm.relm.le.leeditor.queryparams.paramprompt.BooleanPrompt", //$NON-NLS-1$
		[com.ibm.relm.le.leeditor.queryparams.paramprompt.DataPrompt], 
		{
			templatePath: dojo.moduleUrl('com.ibm.relm.le','leeditor/queryparams/paramprompt/templates/BooleanPrompt.html'), //$NON-NLS-1$ //$NON-NLS-2$
			widgetsInTemplate: false,

			//This overrides the default value set in DataPrompt of null so the parameter is cast to a boolean and not a string
			value: false, 

			fillValue: function(value) {
				this.input.checked = (value.value !== "false"); //$NON-NLS-1$
			},

			getValue: function() {
				return {
					type: "boolean", //$NON-NLS-1$
					value: this.input.checked.toString()
				};
			}
		});

})();