/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2011. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	// These "configurations" all all called Variability Parameters in the UI now...they are NOT product configurations. Ugh.
	titleXSentToRtc: '{0} <span class="ple-decorator">(sent to SCM)</span>', //$NON-NLS-1$
	stream: "Stream", //$NON-NLS-1$
	configuration: "Variability Parameters", //$NON-NLS-1$
	variabilityRules: "Variability Expressions List", //$NON-NLS-1$
	component: "Component", //$NON-NLS-1$
	creatingConfigurationNamedX: "Creating {0}", //$NON-NLS-1$
	createConfigurationDialogTitle: "Create Variability Parameters", //$NON-NLS-1$
	createConfigurationDialogDescription: "Specify a name to group the parameters to be created, such as AMR 3.2 parameters.", //$NON-NLS-1$
	namePrompt: "Name:", //$NON-NLS-1$
	variabilityParametersNamePrompt: "Group Name:", //$NON-NLS-1$
	variabilityParametersDefaultName: "Variability Parameters", //$NON-NLS-1$
	cancel: "Cancel", //$NON-NLS-1$
	create: "Create", //$NON-NLS-1$
	createConfiguration: "Create Variability Parameters...", //$NON-NLS-1$

	componentNameXBaselineXWillReplaceBaselineX: '{0} <span class="j-hint"> - "{1}" will replace "{2}"</span>', //$NON-NLS-1$
	componentNameXBaselineXWillBeRemoved: '{0} <span class="j-hint"> - "{1}" will be removed</span>', //$NON-NLS-1$
	replaceButton: 'Replace', //$NON-NLS-1$
	confirmReplaceModifiedBaselinesPrompt: 'Replace conflicting baselines?', //$NON-NLS-1$
	confirmReplaceModifiedBaselinesDetails: 'These baselines were modified in Rational Team Concert after last receiving them. They will be replaced with the baselines you have selected.', //$NON-NLS-1$
	connect: "Connect to Stream...", //$NON-NLS-1$
	disconnectTitle: "Confirm Disconnect", //$NON-NLS-1$
	disconnectPrompt: "Disconnect this {product} from Rational Team Concert stream?", //$NON-NLS-1$"
	reserving: "Reserving", //$NON-NLS-1$
	gettingBaselines: "Getting baselines", //$NON-NLS-1$
	generatingPreview: "Generating Preview", //$NON-NLS-1$
	disconnect: "Disconnect", //$NON-NLS-1$
	reserveForRelm: "Receive SCM Components", //$NON-NLS-1$
	reserveForRtc: "Send SCM Components", //$NON-NLS-1$
	streamNotUpdated: "Could not update Rational Team Concert streams.", //$NON-NLS-1$
	updatingRelmStream: 'Updating {products} from SCM stream', //$NON-NLS-1$
	updatingCmStream: 'Updating SCM stream', //$NON-NLS-1$

	failedToContactRtc: 'An error occurred while contacting the Rational Team Concert Server', //$NON-NLS-1$
	failedToContactRtc$useraction: 'Verify that the server is available and try again.', //$NON-NLS-1$

	actionRequiresStream: "CRCPC1607E The operation must be performed under a stream.", //$NON-NLS-1$
	actionRequiresStream$explanation: "This operation requires a parent Team Concert stream, but one was not found in your {product} tree.", //$NON-NLS-1$
	actionRequiresStream$useraction: "Perform a Find Use on this {product} to locate its proper parent stream. Open the stream until you locate this {product} and try again.", //$NON-NLS-1$

	pinnedComponentSkipped: "CRCPC1608W One or more {products} weren't updated with the latest SCM component baselines.", //$NON-NLS-1$
	pinnedComponentSkipped$explanation: "Pinned {products} that are connected to SCM components are not updated with the latest baselines from the stream.", //$NON-NLS-1$
	pinnedComponentSkipped$useraction: "Unpin the {products}. Perform the Receive SCM Components action again to update the {products} to the latest SCM component baselines from the stream.", //$NON-NLS-1$
	
	disconnectingStatus: 'Disconnecting', //$NON-NLS-1$
	ok: "OK", //$NON-NLS-1$
	generateLoadRules: 'Generate Load Rules', //$NON-NLS-1$
	noBaselines: 'There are no baselines to send to SCM.', //$NON-NLS-1$
	noBaselines$explanation: 'This action is not allowed since it will remove all components from the stream.', //$NON-NLS-1$
	noBaselines$useraction: 'Add baselines to the stream first, or use the Rational Team Concert client if you do want to empty the stream.', //$NON-NLS-1$
	previewStream: 'Show Variability Results', //$NON-NLS-1$
	compareConfigurations: 'Compare Variability Parameters' //$NON-NLS-1$
});
