/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide('com.ibm.relm.common.web.ui.HelpTwistie'); //$NON-NLS-1$
dojo.require('com.ibm.relm.common.web.ui.Section'); //$NON-NLS-1$

dojo.require('dijit._Templated'); //$NON-NLS-1$

(function(){
	dojo.declare(
		'com.ibm.relm.common.web.ui.HelpTwistie', //$NON-NLS-1$
		[ com.ibm.relm.common.web.ui.Section ],
		{
			canCollapse: true,
			initiallyCollapsed: true,

			constructor: function(args, node)
			{
				this.showHelp = false;
			},

			postCreate: function() {
				this.inherited(arguments);
				dojo.addClass(this.domNode, 'relm-HelpTwistie'); //$NON-NLS-1$
			},

			uninitialize: function() {

				this.inherited(arguments);
			}
		}
	);

})();