/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.relm.common.web.ui.LabeledRadio"); //$NON-NLS-1$

dojo.require("dojo.i18n"); //$NON-NLS-1$
dojo.require('dijit._Templated'); //$NON-NLS-1$

(function(){
	dojo.declare(
		"com.ibm.relm.common.web.ui.LabeledRadio", //$NON-NLS-1$
		[ dijit._Widget, dijit._Templated ], 
		{
			templatePath: dojo.moduleUrl('com.ibm.relm.common.web','ui/templates/LabeledRadio.html'), //$NON-NLS-1$ //$NON-NLS-2$
			widgetsInTemplate: false,

			name: '', //$NON-NLS-1$
			value: '', //$NON-NLS-1$
			label: '', //$NON-NLS-1$
			checked: false,

			constructor: function(args, node) 
			{
				this.radioId = dijit.getUniqueId('com.ibm.relm.common.web.ui.LabeledRadio'); //$NON-NLS-1$
				if (this.checked) this.radio.checked = true;
			},
			
			postCreate: function() {
				this.inherited(arguments);

			},

			_setCheckedAttr: function(checked) {
				this.checked = checked;
				this.radio.checked = checked;
			},

			uninitialize: function() {

				this.inherited(arguments);
			}
		}	
	);

})();