/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.relm.common.web.ui.RequiredMarker"); //$NON-NLS-1$

dojo.require("dojo.i18n"); //$NON-NLS-1$
dojo.requireLocalization("com.ibm.relm.common.web.ui", "RequiredMarkerMessages"); //$NON-NLS-2$ //$NON-NLS-1$
dojo.require('dijit._Templated'); //$NON-NLS-1$

(function(){

	dojo.declare(
		"com.ibm.relm.common.web.ui.RequiredMarker", //$NON-NLS-1$
		[ dijit._Widget, dijit._Templated ], 
		{
			templatePath: dojo.moduleUrl('com.ibm.relm.common.web','ui/templates/RequiredMarker.html'), //$NON-NLS-1$ //$NON-NLS-2$
			widgetsInTemplate: false,

			large: false,

			constructor: function(args, node) 
			{
				this._messages = dojo.i18n.getLocalization("com.ibm.relm.common.web.ui", "RequiredMarkerMessages"); //$NON-NLS-1$ //$NON-NLS-2$
			},

			postCreate: function() {
				this.inherited(arguments);
				if (this.large) {
					dojo.style(this.domNode, {
						display: 'inline-block', //$NON-NLS-1$
						height: '16pt', //$NON-NLS-1$
						verticalAlign: 'top' //$NON-NLS-1$
					});
				}
			},
		}	
	);

})();