/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
//NLS_CHARSET=UTF-8

({
	"loading": "Loading...", //$NON-NLS-1$ //$NON-NLS-2$
	"ok": "Create", //$NON-NLS-1$ //$NON-NLS-2$
	"cancel": "Cancel", //$NON-NLS-1$ //$NON-NLS-2$
	"Folder": "Folder: ", //$NON-NLS-1$ //$NON-NLS-2$
	"fromBlank": "Create empty view", //$NON-NLS-1$ //$NON-NLS-2$
	"fromTemplate": "Create view from existing view", //$NON-NLS-1$ //$NON-NLS-2$
	"wizardTitle": "Create a view", //$NON-NLS-1$ //$NON-NLS-2$
	"nameWizardStep": "Specify a view name, a folder to save the view in, and how to create the view", //$NON-NLS-1$ //$NON-NLS-2$
	"nameWizardGuideText": 'Specify a view name, for example, "GPS English V Process". For this example, save the view as a private view by selecting the "My Views" folder. Create the view from an existing view, and then choose the "V Process (Software)" view. ', //$NON-NLS-1$ //$NON-NLS-2$
	"parameterWizardStep": "Specify view custom parameters.", //$NON-NLS-1$ //$NON-NLS-2$
	"parameterGuideText": "Parameter names are set when a view is created or modified. Consider the existing view called Task Hierarchy view with a parameter name of workitem_ID. The workitem_ID specifies that the parameter shown in the view is a work item. The parameter value is set to work item 613, but you can change it to a relevant work item number. Views do not always have parameters.", //$NON-NLS-1$ //$NON-NLS-2$
	"guideStep": "Finish and next steps", //$NON-NLS-1$ //$NON-NLS-2$
	"diagramNameLabel": "View name: ", //$NON-NLS-1$ //$NON-NLS-2$
	"referedDiagramLabel": "Existing View: ", //$NON-NLS-1$ //$NON-NLS-2$
	"diagramSharedLabel": "Shared View", //$NON-NLS-1$ //$NON-NLS-2$
	"paramTableLabel": "View configuration parameters", //$NON-NLS-1$ //$NON-NLS-2$
	"errorBlankName": "The view name cannot be blank.", //$NON-NLS-1$ //$NON-NLS-2$
	"blankDiagram": "Blank View", //$NON-NLS-1$ //$NON-NLS-2$
	"parameterName": "Parameter Name", //$NON-NLS-1$ //$NON-NLS-2$
	"parameterValue": "Parameter Value", //$NON-NLS-1$ //$NON-NLS-2$
	"parameterDescription": "Parameter Description", //$NON-NLS-1$ //$NON-NLS-2$
	"noValueIndicator": "No value", //$NON-NLS-1$ //$NON-NLS-2$
	"noValueSpecified": "At least one of the parameters has no value.", //$NON-NLS-1$ //$NON-NLS-2$
	"selectFolder": "Select a folder.", //$NON-NLS-1$ //$NON-NLS-2$
	"specifyName": "Specify view name.", //$NON-NLS-1$ //$NON-NLS-2$
	"selectTemplate": "Select a view.", //$NON-NLS-1$ //$NON-NLS-2$
	"noPermissionToCreateView": "CRCPD1522E You do not have permission to create a shared views.", //$NON-NLS-1$ //$NON-NLS-2$
	"inputAssist": "Edit value", //$NON-NLS-1$ //$NON-NLS-2$
	"browse": "Browse...", //$NON-NLS-1$ //$NON-NLS-2$
	"openSelectDialog": "Open Selection Dialog", //$NON-NLS-1$ //$NON-NLS-2$
	'paramSelectParameterValue': "Select Parameter Value", //$NON-NLS-1$ //$NON-NLS-2$
	"guideTitle": "Quick steps to set up a view:", //$NON-NLS-1$ //$NON-NLS-2$
	"guideText1": "If the view is initially blank, create a container to hold the artifacts you want to view. Drag a tree or grid layout container to the view area.", //$NON-NLS-1$ //$NON-NLS-2$
	"guideText2": "Populate the container with artifacts by setting the query in the Properties tab.",//$NON-NLS-1$ //$NON-NLS-2$
	"guideText3": "Add connecting lines to view relationships between artifacts. In the Page Properties tab, in the Connections section, click Add."//$NON-NLS-1$ //$NON-NLS-2$
		
});
