/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8

({

	'keywordSearch': "Search", //$NON-NLS-1$ //$NON-NLS-2$
	'keywordSearchDetails': "Search the index for artifacts by keyword or ID.", //$NON-NLS-1$ //$NON-NLS-2$


	'actionShowMe': "Show me &gt;", //$NON-NLS-1$ //$NON-NLS-2$
	'actionMyQueries': "Browse queries", //$NON-NLS-1$ //$NON-NLS-2$
	'actionCreateQuery': "Create a query", //$NON-NLS-1$ //$NON-NLS-2$
	'actionShowMe': "Show me &gt;", //$NON-NLS-1$ //$NON-NLS-2$
	'actionSearchQueries': "Search for a query", //$NON-NLS-1$ //$NON-NLS-2$
	'textWelcomeToQueries': "Welcome to Queries", //$NON-NLS-1$ //$NON-NLS-2$
	'textWhatIsRELM': "What are queries?", //$NON-NLS-1$ //$NON-NLS-2$
	'textWhatIsRELMLong1': "Use queries to search for artifacts in the index.", //$NON-NLS-1$ //$NON-NLS-2$
	'textWhatIsRELMLong2': "Administrators craft queries to embed in the custom views that they create. The queries pull data from the index and refresh the custom view with the appropriate artifacts. Before making a custom view available to the team as a shared view, the administrator must first validate any queries to ensure that they return the expected results.", //$NON-NLS-1$ //$NON-NLS-2$
	'textMoreBeta': "More information about this application...", //$NON-NLS-1$ //$NON-NLS-2$
	'textAccessAndManageYourWork': "Access and manage your work:", //$NON-NLS-1$ //$NON-NLS-2$
	'textMyQueries': "View and modify personal and shared queries. Run artifact element queries.", //$NON-NLS-1$ //$NON-NLS-2$
	'textCreateQuery': "Users with query-creation privileges can create personal and shared queries.", //$NON-NLS-1$ //$NON-NLS-2$
	'textLearnMore': "Learn more about queries &gt;", //$NON-NLS-1$ //$NON-NLS-2$
	'textUseCapabilityMenu': "Use the <b>Queries menu</b> to create resources or to access existing resources.", //$NON-NLS-1$ //$NON-NLS-2$
	'textSearchForResources': "Search for resources with <b>quick search</b>.", //$NON-NLS-1$ //$NON-NLS-2$
	'textTrackResources': "Track resources available from the <b>Baselines menu</b> and the ${0}.", //$NON-NLS-1$ //$NON-NLS-2$
	'textMiniDashboard': "mini dashboard", //$NON-NLS-1$ //$NON-NLS-2$
	'textSearchQueries': "Search for a query by ID or keyword.", //$NON-NLS-1$ //$NON-NLS-2$
	'shortNameForWelcomePage': "Welcome to Queries", //$NON-NLS-1$ //$NON-NLS-2$
	'relatedTopics': "Related Topics...", //$NON-NLS-1$ //$NON-NLS-2$
	"howQueriesAndViewsWorkTogether": "How queries and views work together", //$NON-NLS-1$ //$NON-NLS-2$
	"creatingAndTestingQueries": "Using predefined query templates", //$NON-NLS-1$ //$NON-NLS-2$
	"modifyingAndRunningQueries": "Creating and running queries", //$NON-NLS-1$ //$NON-NLS-2$
	'moreInfo': "For more information about queries, see <a target='_blank' href='http://www.ibm.com/support/knowledgecenter/SS2L6K_5.0.1/com.ibm.rational.relm.doc/pv_welcome.html'>Rational Engineering Lifecycle Manager documentation</a>.", //$NON-NLS-1$ //$NON-NLS-2$
	"showMe": "Show me" //$NON-NLS-1$ //$NON-NLS-2$

});