/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007, 2011. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.ui.internal.view.MoveView"); //$NON-NLS-1$

dojo.require("com.ibm.relm.explorer.web.ui.internal.view.ViewClient"); //$NON-NLS-1$
dojo.require("com.ibm.relm.explorer.web.ui.internal.common.AbstractMoveCopyDialog"); //$NON-NLS-1$

dojo.require("dojo.i18n"); //$NON-NLS-1$

dojo.requireLocalization("com.ibm.relm.explorer.web.ui.internal", "ViewMessages"); //$NON-NLS-1$ //$NON-NLS-2$

(function() { // module container

var ViewClient = com.ibm.relm.explorer.web.ui.internal.view.ViewClient;

/**
 * Widget to move a report or folder
 */
var MoveView = dojo.declare("com.ibm.relm.explorer.web.ui.internal.view.MoveView", com.ibm.relm.explorer.web.ui.internal.common.AbstractMoveCopyDialog,  { //$NON-NLS-1$
	postMixInProperties: function(){
		this.inherited(arguments);
		this.serviceClient = ViewClient;
		this.argsNameForServiceCall = "configURIs";//$NON-NLS-1$
	}
});

MoveView.CSH_NEW_VIEW_EDITOR = "com.ibm.jazz.reports.web.cshelp.new_view_editor"; //$NON-NLS-1$

})();