/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2014. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.ui.internal.view.common.ShapeDictionary"); //$NON-NLS-1$

(function(){
		
dojo.require("dojo.i18n"); //$NON-NLS-1$
dojo.requireLocalization("com.ibm.relm.explorer.web.ui.internal", "ShapeDictionaryMessages"); //$NON-NLS-1$ //$NON-NLS-2$

var messages = dojo.i18n.getLocalization("com.ibm.relm.explorer.web.ui.internal", "ShapeDictionaryMessages"); //$NON-NLS-1$  //$NON-NLS-2$
	
com.ibm.relm.explorer.web.ui.internal.view.common.ShapeDictionary = {
	translate : function (category, name) {
		if(category){
			name = category + "_" + name;//$NON-NLS-1$
		}
		return messages[name];
	}
};

})();
