/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.ui.internal.view.connections.LineConnection"); //$NON-NLS-1$
dojo.provide("com.ibm.relm.explorer.web.ui.internal.view.connections.LineConnectionDecoration"); //$NON-NLS-1$

dojo.require("com.ibm.relm.explorer.web.base.internal.gdc.PolylineConnection"); //$NON-NLS-1$
dojo.require("com.ibm.relm.explorer.web.base.internal.gdc.decoration.PathDecoration"); //$NON-NLS-1$

dojo.declare(
	"com.ibm.relm.explorer.web.ui.internal.view.connections.LineConnection", //$NON-NLS-1$
	com.ibm.relm.explorer.web.base.internal.gdc.PolylineConnection,
{
	targetDecorationClass: "com.ibm.relm.explorer.web.ui.internal.view.connections.LineConnectionDecoration", //$NON-NLS-1$
	sourceDecorationClass: "com.ibm.relm.explorer.web.ui.internal.view.connections.LineConnectionDecoration", //$NON-NLS-1$
	targetDecorationProps: {
		preset:'filled_arrow_s' //$NON-NLS-1$
	}
});

dojo.declare(
		"com.ibm.relm.explorer.web.ui.internal.view.connections.LineConnectionDecoration", //$NON-NLS-1$
		com.ibm.relm.explorer.web.base.internal.gdc.decoration.PathDecoration,
{
		setRotation: function(/*float*/angle){
			var rotate = dojox.gfx.matrix.rotategAt(angle, 0, 0);
			this.shape.applyTransform(rotate);
		}
});
