/*******************************************************************************
 * Licensed Materials - Property of IBM (c) Copyright IBM Corporation 2007,
 * 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights: Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.ui.internal.view.edit.IconUtils");//$NON-NLS-1$

dojo.mixin(com.ibm.relm.explorer.web.ui.internal.view.edit,
{
	createIcon: function(/*String*/iconPath, /*String*/dimension, /*String?*/rel, /*String*/alt){
		if(!iconPath){ return null; }
		if(iconPath.match(/(.*),(\d+ \d+ \d+ \d+)$/)){ // "path,dim"
			iconPath = RegExp.$1;
			dimension = RegExp.$2;
		}
		var path = dojo.moduleUrl(rel||"com.ibm.relm.explorer.web.ui.internal.view.edit", iconPath);//$NON-NLS-1$
		var icon;
		if(dimension){
			var dim = dimension.split(/ /);
			icon = dojo.doc.createElement("IMG");//$NON-NLS-1$
			icon.src = dojo.moduleUrl("dojo", "resources/blank.gif");//$NON-NLS-1$//$NON-NLS-2$
			icon.alt = alt || "";//$NON-NLS-1$
			icon.width = dim[0];
			icon.height = dim[1];
			icon.style.backgroundPosition = "-"+dim[2]+"px -"+dim[3]+"px";//$NON-NLS-1$//$NON-NLS-2$//$NON-NLS-3$
			icon.style.backgroundImage = "url("+path+")";//$NON-NLS-1$//$NON-NLS-2$
		}else{
			icon = dojo.doc.createElement("IMG");//$NON-NLS-1$
			icon.src = path;
			icon.alt = alt || "";//$NON-NLS-1$
		}
		icon.border = "0";//$NON-NLS-1$
		return icon;
	}
});
