/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2014. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.ui.internal.view.edit.PaletteSideBarContent"); //$NON-NLS-1$

dojo.require("com.ibm.relm.explorer.web.ui.internal.view.edit.SideBarContent");//$NON-NLS-1$
dojo.require("com.ibm.relm.explorer.web.ui.internal.view.edit.PalettePane");//$NON-NLS-1$

(function(){

	/**
	 * Widget to show/edit palette
	 */
dojo.declare("com.ibm.relm.explorer.web.ui.internal.view.edit.PaletteSideBarContent", [com.ibm.relm.explorer.web.ui.internal.view.edit.SideBarContent], { //$NON-NLS-1$

	_createSideBarContents: function() {
		var panes = [];
		
		// add lifecycle element palette pane
		var paletteContent = new com.ibm.relm.explorer.web.ui.internal.view.edit.PalettePane({diagramView: this.diagramView});
		panes.push({
			id: "com.ibm.relm.explorer.web.ui.internal.view.edit.PalettePane",  //$NON-NLS-1$
			contentHelpId: "com.ibm.relm.explorer.web.section_PaletteItems001", //$NON-NLS-1$
			content: paletteContent
		});

		return panes;
	}
});

})();
