dojo.provide("com.ibm.relm.explorer.web.ui.internal.view.edit.paletteInfo"); //$NON-NLS-1$

dojo.requireLocalization("com.ibm.relm.explorer.web.ui.internal", "PaletteMessages"); //$NON-NLS-1$ //$NON-NLS-2$

(function() { // module container

var messages = dojo.i18n.getLocalization("com.ibm.relm.explorer.web.ui.internal", "PaletteMessages"); //$NON-NLS-1$ //$NON-NLS-2$

com.ibm.relm.explorer.web.ui.internal.view.edit.paletteInfo.defaultPaletteInfo = {
		
  label: 'name',//$NON-NLS-1$
  rel: 'com.ibm.relm.explorer.web.ui.internal.view.edit',//$NON-NLS-1$
  items: [
	{
		name: 'container',//$NON-NLS-1$
		icon: 'images/gridlayout.gif',//$NON-NLS-1$
		description: messages.gridLayoutContainer,
		props: {
			layoutManager: "GridLayout",//$NON-NLS-1$
			width: 100,
			height: 100,
			columns: 5, 
			spacing: 5, 
			margin: 5, 
			fill: "#eeeeee", //$NON-NLS-1$
			pack: true
		}
	},
	{
		name: 'container',//$NON-NLS-1$
		icon: 'images/treelayout.gif',//$NON-NLS-1$
		description: messages.treeLayoutContainer,
		props: {
			layoutManager: "TreeLayout", //$NON-NLS-1$
			width: 100,
			height: 100,
			fill: "#eeeeee", //$NON-NLS-1$
			pack: true
		}
	},
	{
		name: 'text',//$NON-NLS-1$
		icon: 'images/textobj.gif',//$NON-NLS-1$
		description: messages.text,
		props: {
			text: "Text" //$NON-NLS-1$
		}
	},
	{
		name: 'image',//$NON-NLS-1$
		icon: 'images/imageobj.gif',//$NON-NLS-1$
		description: messages.image,
		props: {
			src: "" //$NON-NLS-1$
		}
	}
]};

})();