/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2014. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.relm.explorer.web.ui.internal.view.layout.HiddenLayout"); //$NON-NLS-1$

dojo.require("com.ibm.relm.explorer.web.ui.internal.view.layout.DefaultLayout"); //$NON-NLS-1$

(function(){
	
dojo.declare(
	"com.ibm.relm.explorer.web.ui.internal.view.layout.HiddenLayout", //$NON-NLS-1$
	com.ibm.relm.explorer.web.ui.internal.view.layout.DefaultLayout,
{
	hidden: true,
	
	addChildResource: function(node, resource, uriList, linkDef){
		uriList.push(resource.uri);
		if(dojo.isFunction(node.setLayoutReady))
			node.setLayoutReady(false);
	}
});
				
})();
