/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	sharedDimensionScope: 'Shared', //$NON-NLS-1$
	sharedDimensionTooltip: 'Available to all products and configurations', //$NON-NLS-1$
	localDimensionScope: 'Product-Local', //$NON-NLS-1$
	localDimensionScopeTooltip: 'Local to this product and available to all configurations', //$NON-NLS-1$

	configurationXCopyName: '{0} (Copy)', //$NON-NLS-1$
	baselineXPatchName: '{0} (Patched)', //$NON-NLS-1$
	confirmReplaceWithProductsTitle: 'Confirm Swap with Hierarchy', //$NON-NLS-1$
	replaceXWithProductsPrompt: 'Remove this {product} configuration and use its hierarchy in its place?', //$NON-NLS-1$
	replaceWithChildrenDetails: 'This {product} configuration will be removed, but not modified. Its child {products} and {product} configurations will be used in place of the configuration.', //$NON-NLS-1$
	
	confirmReplaceWithNewConfigurationTitle: 'Confirm Swap with New {Product} Configuration', //$NON-NLS-1$
	replaceXWithNewProductConfigurationPrompt: 'Swap this {product} with a new {product} configuration?', //$NON-NLS-1$
	replaceWithNewProductConfigurationDetails: 'A new {product} configuration will be created in place of the {product}. This {product} and its hierarchy will be added to the new configuration.', //$NON-NLS-1$

	swapButton: 'Swap', //$NON-NLS-1$
	swappingStatus: 'Swapping', //$NON-NLS-1$

	productTitleX_html:					'{title}', //$NON-NLS-1$
	productTitleXRtcBaselineX_html:		'{title}<span class="ple-decorator">: {rtcBaselineName} </span>', //$NON-NLS-1$
	productTitleXBranchX_html:			'{title}<span class="ple-decorator"> ({branch}) </span>', //$NON-NLS-1$
	productTitleXRtcBaselineXBranchX_html:			'{title}<span class="ple-decorator">: {rtcBaselineName} ({branch}) </span>', //$NON-NLS-1$
	productTitleXBranchXSnapshotX_html:	'{title}<span class="ple-decorator"> ({branch}) - {snapshot} </span>', //$NON-NLS-1$
	productTitleXRtcBaselineXBranchXSnapshotX_html:	'{title}<span class="ple-decorator">: {rtcBaselineName} ({branch}) - {snapshot} </span>', //$NON-NLS-1$
	productTitleXSnapshotX_html:			'{title}<span class="ple-decorator"> - {snapshot} </span>', //$NON-NLS-1$
	productTitleXRtcBaselineXSnapshotX_html:			'{title}<span class="ple-decorator">: {rtcBaselineName} - {snapshot} </span>', //$NON-NLS-1$
	snapshotX_html:						'<span class="ple-decorator"> {snapshot} </span>', //$NON-NLS-1$
	branchX_html:							'<span class="ple-decorator"> ({branch}) </span>', //$NON-NLS-1$
	branchXSnapshotX_html:				'<span class="ple-decorator"> ({branch}) - {snapshot} </span>', //$NON-NLS-1$
	snapshotTitleX_html:					'<span class="decorator-as-title"> {snapshot} </span>', //$NON-NLS-1$
	branchTitleX_html:					'<span class="decorator-as-title"> {branch} </span>', //$NON-NLS-1$
	grayLabel_html:						'<span class="gray-label"> {label} </span>', //$NON-NLS-1$
	noDimensionsLabel: 'No dimensions', //$NON-NLS-1$
	noCreatorTooltip: 'This version was automatically created when one of its child {products} was modified.', //$NON-NLS-1$
	noCreatorName: 'none', //$NON-NLS-1$
	indirectCreatorTooltip: 'Created indirectly', //$NON-NLS-1$
	findingWhereUsed: 'Finding all uses of {theproduct}', //$NON-NLS-1$
	redactTitle: 'Confirm Redact', //$NON-NLS-1$
	redactPromptX: 'Are you sure you want to redact the following {product} versions?<ul>{0}</ul>', //$NON-NLS-1$
	redactDetailMessage: 'Redacting a {product} version permanently removes changes to the name, user properties, artifact links, added or removed children, and audit information about these changes. The {product} remains in the Browse {Products} and Audit History screen.', //$NON-NLS-1$
	redactAction: 'Redact', //$NON-NLS-1$
	redacting: 'Redacting {products}', //$NON-NLS-1$
	checkRedaction: 'Checking completeness of redaction', //$NON-NLS-1$
	incompleteRedaction: 'CRCPC1606W Redaction is incomplete.', //$NON-NLS-1$
	incompleteRedaction$explanation: 'The following {product} versions most likely contain sensitive information: {0}', //$NON-NLS-1$
	incompleteRedaction$userAction: 'To redact all sensitive information, click Cancel, select the {product} versions listed in the dialog box in addition to the {product} versions that are currently selected, and then retry the operation.<p/>You can continue the current redaction, and then afterwards, perform another redaction on the successors that were listed in this dialog.', //$NON-NLS-1$
	movingToTopStatus: 'Moving to top', //$NON-NLS-1$
	addingToTopStatus: 'Adding to top', //$NON-NLS-1$
	artifactAlt: 'Artifact', //$NON-NLS-1$
	productAlt: '{Product}', //$NON-NLS-1$
	productInSnapshotAlt: 'Non-modifiable {product}', //$NON-NLS-1$
	exportTitle: 'Export {Product}', //$NON-NLS-1$
	configVersionAlt: '{Product} Configuration', //$NON-NLS-1$
	configVersionBaselineAlt: '{Product} Configuration Baseline', //$NON-NLS-1$
	configVersionPatchAlt: 'Patched {Product} Configuration', //$NON-NLS-1$
	baselineAlt: 'Baseline', //$NON-NLS-1$
	emptyPartAlt: 'Empty Part', //$NON-NLS-1$
	checkingInProduct: 'Checking in {product}', //$NON-NLS-1$
	checkInAction: 'Check In', //$NON-NLS-1$
	checkInTitle: 'Confirm Check In', //$NON-NLS-1$
	checkInPrompt: 'Check in "{0}"?', //$NON-NLS-1$
	checkInDetailMessage: 'When you check in, other {product} configurations can use your changes.', //$NON-NLS-1$
	checkingOutProduct: 'Checking out {product}' //$NON-NLS-1$
});
