/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8

({
	'textSearchHeading': "Search for an artifact:", //$NON-NLS-1$ //$NON-NLS-2$
	'textWhatIsRELM_answer': "IBM Rational Engineering Lifecycle Manager provides an intelligent environment for showing relationships among Rational Team Concert, Rational DOORS, Rational Rhapsody Design Manager, and Rational Quality Manager. Teams use data, called <i>artifacts</i>, from these tools to drive systems development.<br><br>These tools contribute artifacts (work items, requirements, design models, and quality test cases) to a common index. Rational Engineering Lifecycle Manager provides a portal into that index, so that users can view and navigate easily through the different types of data.<br><br> Watch an <a target='_blank' href='http://www.ibm.com/support/knowledgecenter/SS2L6K_5.0.1/com.ibm.rational.relm.doc/topics/c_overview_tour.html'>overview video</a> or choose a set of operations to <a target='_blank' href='http://www.ibm.com/support/knowledgecenter/SS2L6K_5.0.1/com.ibm.rational.relm.doc/topics/c_getting_started.html'>get started</a> now.", //$NON-NLS-1$ //$NON-NLS-2$
	'part_Products': "{Products}", //$NON-NLS-1$ //$NON-NLS-2$
	'part_ProductsText': "{Products} help users organize artifacts in a tree structure that is relevant for their project.", //$NON-NLS-1$ //$NON-NLS-2$
	'part_Views': "Views", //$NON-NLS-1$ //$NON-NLS-2$
	'part_ViewsText': "Views help users see the data that is pulled from the index in a relevant organization, such as a V process or ISO standard view.", //$NON-NLS-1$ //$NON-NLS-2$
	'part_Queries': "Queries", //$NON-NLS-1$ //$NON-NLS-2$
	'part_QueriesText': "Queries help users pull necessary artifacts from the index to show the artifact in the native tool, to view properties, or to start an analysis.", //$NON-NLS-1$ //$NON-NLS-2$
	'part_Analysis': "Analysis", //$NON-NLS-1$ //$NON-NLS-2$
	'part_AnalysisText': "Analysis helps users gauge the impact of a change from one artifact to any related artifacts.", //$NON-NLS-1$ //$NON-NLS-2$
	'part_Reports': "Reports", //$NON-NLS-1$ //$NON-NLS-2$
	'part_ReportsText': "Reports help users create a static copy of their view, for example, an ISO 26262 view.", //$NON-NLS-1$ //$NON-NLS-2$
	
	'textTrackResources': "Track resources available from the <b>{Products} menu</b> and the ${0}.", //$NON-NLS-1$ //$NON-NLS-2$
	'textMiniDashboard': "mini dashboard", //$NON-NLS-1$ //$NON-NLS-2$

	 // Updated after 1.0 GA release
	'textWelcomeToRelm': "Welcome to Rational Engineering Lifecycle Manager" //$NON-NLS-1$ //$NON-NLS-2$
});