/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2013. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8

({
	// When a patched product configuration is created, it will appear exactly
	// the same as the baseline it was created from, even if there are newer
	// versions of it members/product versions that were created after the
	// baseline. Only changes explicitly made within that patched product
	// configuration are applied to it. That is, it's isolated from all other
	// changes except those made to it explicitly so that it is effectively the
	// baseline+changes.
	"helpText": "Creates a modifiable {product} configuration that is a copy of this baseline. The hierarchy of the new configuration will be an exact match of this baseline. The patched {product} configuration will be insulated from future changes that are not made explicitly within it.", //$NON-NLS-1$ //$NON-NLS-2$
	"cancel": "Cancel", //$NON-NLS-1$ //$NON-NLS-2$
	"save": "Patch", //$NON-NLS-1$ //$NON-NLS-2$
	"dialogTitle": "Patch Baseline", //$NON-NLS-1$ //$NON-NLS-2$
	"namePrompt": "Patched Configuration Name:", //$NON-NLS-1$ //$NON-NLS-2$
	"noParentMessage": "", //$NON-NLS-1$ //$NON-NLS-2$
	"parentLabel": "Parent:", //$NON-NLS-1$ //$NON-NLS-2$
	"removeParentIconTooltip": "", //$NON-NLS-1$ //$NON-NLS-2$
	"dimensionSection": "Dimensions", //$NON-NLS-1$ //$NON-NLS-2$
	"creatingX": "Creating {0}" //$NON-NLS-1$ //$NON-NLS-2$
});