/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2011. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8

({
	'welcomeToProducts': "Welcome to {Products}", //$NON-NLS-1$ //$NON-NLS-2$
	'actionShowMe': "Show me &gt;", //$NON-NLS-1$ //$NON-NLS-2$
	'actionMyProducts': "Browse {products}", //$NON-NLS-1$ //$NON-NLS-2$
	'actionCreateConfiguration': "Create {aproduct} configuration", //$NON-NLS-1$ //$NON-NLS-2$
	'actionSearchArtifact': "Search for artifacts.", //$NON-NLS-1$ //$NON-NLS-2$
	'actionSearchProducts': "Search", //$NON-NLS-1$ //$NON-NLS-2$
	'actionManageGroupings': 'Browse {product} configuration groupings', //$NON-NLS-1$ //$NON-NLS-2$
	'textManageGroupings': 'Create and modify {product} configuration groupings for existing {product} configurations.', //$NON-NLS-1$ //$NON-NLS-2$
	'textWelcomeToProducts': "Welcome to {Products}", //$NON-NLS-1$ //$NON-NLS-2$
	'textWhatIsRELM': "What are {products} and {product} configurations?", //$NON-NLS-1$ //$NON-NLS-2$
	'textAccessAndManageYourWork': "Access and manage your work:", //$NON-NLS-1$ //$NON-NLS-2$
	'textMyProducts': 'View and modify {products} in your favorite and recently viewed {product} configurations.', //$NON-NLS-1$ //$NON-NLS-2$
	'textWhatIsRELM_p1': "{Products} represent the work a team is focused on, and can be as big as a car or as small as a mechanical heart valve. {Products} know their immediate child {products}, but not the versions of those child {products}.", //$NON-NLS-1$ //$NON-NLS-2$
	'textWhatIsRELM_p2': "{Product} configurations, like {products}, know their immediate child {products}. However, they also determine the versions of all {theproducts} in a configuration. The top of {aproduct} tree must be {aproduct} configuration.", //$NON-NLS-1$ //$NON-NLS-2$
	'textWhatIsRELM_p3': "When you create a configuration, you can set dimensions, such as a model year or region, to collect only {theproducts} that are essential for your team's release. Any engineering artifacts (such as requirements and test cases) that are part of the collected {products} become a part of the configuration, too.", //$NON-NLS-1$ //$NON-NLS-2$
	'textWhatIsRELM_p4': "After you have created and organized configurations that make sense for your team, you can add custom properties, links to artifacts, links to external websites, and more to both configurations and {products}. If you want to capture differences in {aproduct} line, you can create a branch. When you complete a release or significant milestone, you can create a baseline for the configuration.", //$NON-NLS-1$ //$NON-NLS-2$
	'textWhatIsRELM_p5': "{Aproduct} and its artifacts provide context for views, queries, and analysis.", //$NON-NLS-1$ //$NON-NLS-2$
	'textWhatIsRELM_bullet1': "Views: Linked views are structured around {aproduct} hierarchy to make the artifacts available in a context relevant to {theproduct} team. Example: A team working on an adaptive cruise control {product} line benefits from viewing artifacts in the context of an ISO-26262 view.", //$NON-NLS-1$ //$NON-NLS-2$
	'textWhatIsRELM_bullet2': "Queries and analysis: Find artifacts for specific {product} versions to discover the impact of changes to artifacts and {theproducts} that use them. Members can find which {product} branches use {aproduct} or artifact. Example: A team that must fix a defect in the American version of an automated meter reader {product} might analyze whether the part they are fixing is used in the Japanese, German, and Swedish versions of {theproduct}, and how.", //$NON-NLS-1$ //$NON-NLS-2$
	'textMoreBeta': "More information about this application...", //$NON-NLS-1$ //$NON-NLS-2$
	'textCreateConfiguration': "Create a new {product} configuration.", //$NON-NLS-1$ //$NON-NLS-2$
	'textSearchArtifact': "Search for artifacts.", //$NON-NLS-1$ //$NON-NLS-2$
	'textLearnMore': "Learn more about {products} &gt;", //$NON-NLS-1$ //$NON-NLS-2$
	'textUseCapabilityMenu': "Use the <b>{Products} menu</b> to create resources or to access existing resources.", //$NON-NLS-1$ //$NON-NLS-2$
	'textSearchForResources': "Search for resources with <b>quick search</b>.", //$NON-NLS-1$ //$NON-NLS-2$
	'textTrackResources': "Track resources available from the <b>{Products} menu</b> and the ${0}.", //$NON-NLS-1$ //$NON-NLS-2$
	'textMiniDashboard': "Mini Dashboard", //$NON-NLS-1$ //$NON-NLS-2$
	'textSearchProducts': "Search for {products} and {product} configurations by name or property values.", //$NON-NLS-1$ //$NON-NLS-2$
	'shortNameForWelcomePage': "Welcome to {Products}", //$NON-NLS-1$ //$NON-NLS-2$
	"creatingAProduct": "Creating {aproduct}", //$NON-NLS-1$ //$NON-NLS-2$
	"creatingAProductConfigurration": "Creating {aproduct} configuration", //$NON-NLS-1$ //$NON-NLS-2$
	"linkingToArtifacts": "Linking to artifacts", //$NON-NLS-1$ //$NON-NLS-2$
	"moreInfoLink": 'For more information about {products}, see the <a target="_blank" href=\'http://www.ibm.com/support/knowledgecenter/SS2L6K_5.0.1/com.ibm.rational.relm.doc/pv_welcome.html\'>Rational Engineering Lifecycle Manager documentation</a>.', //$NON-NLS-1$ //$NON-NLS-2$
	"relatedTopics": "Related topics..." //$NON-NLS-1$ //$NON-NLS-2$
});