/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2013. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8

({
	'cancel': 'Cancel', //$NON-NLS-1$ //$NON-NLS-2$

	'configurationWillBeDeletedForever': 'This operation cannot be undone. The children of this {product} configuration will not be deleted and will still be available for reuse.', //$NON-NLS-1$ //$NON-NLS-2$
	'removeItemDetails': 'After an item is removed from its parent, it can still be reused.', //$NON-NLS-1$ //$NON-NLS-2$
	'deleteItemDetails': 'For {products}:<br/>This {product} version will be deleted permanently and then replaced with a different matching version. If you are deleting the first {product} version, it will be deleted permanently without a replacement.<br/><br/>For product configurations:<br/>This copy will be deleted permanently without a replacement. The children of this {product} configuration will not be deleted and can be reused in other {products} and configurations.', //$NON-NLS-1$ //$NON-NLS-2$
	'deleteOption': 'Delete permanently', //$NON-NLS-1$ //$NON-NLS-2$
	'removeDialogTitle': 'Remove', //$NON-NLS-1$ //$NON-NLS-2$
	'deleteDialogTitle': 'Delete', //$NON-NLS-1$ //$NON-NLS-2$
	'removeProductButton': 'Remove', //$NON-NLS-1$ //$NON-NLS-2$
	'removeAndDeleteProductButton': 'Remove and Delete', //$NON-NLS-1$ //$NON-NLS-2$
	//
	'deleteProductButton': 'Delete', //$NON-NLS-1$ //$NON-NLS-2$
	'deleteXConfigurationsPrompt': 'Permanently delete {0} {product} configurations?', //$NON-NLS-1$ //$NON-NLS-2$
	'deleteConfigurationDetailHead': '{Product} configurations can be deleted from the repository if:', //$NON-NLS-1$ //$NON-NLS-2$
	'deleteConfigurationDetailsList': //$NON-NLS-1$
	'<ul> <li>They have no baselines.</li> </ul> ', //$NON-NLS-1$

	'removeProductChildWarning': 'You cannot remove {theproduct} because it has child {products}.', //$NON-NLS-1$ //$NON-NLS-2$
	'removeProductImmutableWarning': 'You cannot remove {theproduct} because it is part of a non-modifiable version.', //$NON-NLS-1$ //$NON-NLS-2$
	'removeProductDoubleWarning': 'You cannot remove {theproduct} because it is part of a non-modifiable version and it has child {products}.', //$NON-NLS-1$ //$NON-NLS-2$
	'deleteDisabledToolip': '{Products} and configurations can only be deleted if they are modifiable and have no children.', //$NON-NLS-1$ //$NON-NLS-2$

	// Updated after 7/9/2012
	'deletingStatus': 'Deleting', //$NON-NLS-1$ //$NON-NLS-2$
	'removingStatus': 'Removing', //$NON-NLS-1$ //$NON-NLS-2$
	// Confirmation prompt asking the user if they really want to remove multiple children.
	// {0} the number of children
	'removeXItems': 'Remove {0} children?', //$NON-NLS-1$ //$NON-NLS-2$
	'removeItemsDetails': 'Removing children removes them from their parent, but does not delete them. They can be reused later.', //$NON-NLS-1$ //$NON-NLS-2$
	'removeXLinksPrompt': 'Remove {0} links?', //$NON-NLS-1$ //$NON-NLS-2$
	'removeLinkDetails': 'Removing a link removes from it from {theproduct}, but does not delete the artifact from the index.', //$NON-NLS-1$ //$NON-NLS-2$
	// Confirmation prompt to remove a product.
	// {0} the product name
	'removeXPrompt': 'Remove {0}?', //$NON-NLS-1$ //$NON-NLS-2$
	// Confirmation prompt to delete a product.
	// {0} the product name
	'deleteXPrompt': 'Delete {0}?' //$NON-NLS-1$ //$NON-NLS-2$
});